<?php
if ( !class_exists('myCustomFields') ) {  
   
     class myCustomFields {  
         /** 
         * @var  string  $prefix  The prefix for storing custom fields in the postmeta table 
         */  
         var $prefix = '_mcf_';  
         /** 
         * @var  array  $customFields  Defines the custom fields available 
         */  
         var $customFields = array(  
             array(  
                 "name"          => "squeezeheader-on",  
                 "title"         => "Show blog header",  
                 "description"   => "If turned off your blog header, ads and navigation will not appear on this page.",  
                 "type"          => "checkbox",  
                 "scope"         =>   array( "squeeze" ),  
                 "capability"    => "edit_pages"  
             ),  
             array(  
                 "name"          => "squeezefooterlogo",  
                 "title"         => "Show Socrates in Footer",  
                 "description"   => "If turned on the Socrates logo and link will be shown in the footer of the page, otherwise it will be hidden.",  
                 "type"          =>   "checkbox",  
                 "scope"         =>   array( "squeeze" ),  
                 "capability"    => "edit_pages"  
             ),  
             array(  
                 "name"          => "squeezehead-text",  
                 "title"         => "Top of page",  
                 "description"   => "Text or HTML that will be placed at the top of your squeeze page above the video.",  
                 "type"          =>   "textarea",  
                 "scope"         =>   array( "squeeze" ),  
                 "capability"    => "edit_pages"  
             ),  
             array(  
                 "name"          => "squeezevideo",  
                 "title"         => "Video Embed Code",  
                 "description"   => "The embed code for the video from copied from the site it is hosted on.",  
                 "type"          => "textarea",  
                 "scope"         =>   array( "squeeze" ),  
                 "capability"    => "edit_pages"  
            ),  
             array(  
                 "name"          => "squeezefooter",  
                 "title"         => "Below Video",  
                 "description"   => "Text or HTML that will appear below the video on this page.",  
                 "type"          => "textarea",  
                 "scope"         =>   array( "squeeze" ),  
                 "capability"    => "edit_pages"  
            ),
             array(  
                 "name"          => "squeezepagefooter",  
                 "title"         => "Page Footer",  
                 "description"   => "Text or HTML that will appear in the footer of the squeeze page such as copyright, links to privacy policy etc.",  
                 "type"          => "textarea",  
                 "scope"         =>   array( "squeeze" ),  
                 "capability"    => "edit_pages"  
            ),
             array(  
                 "name"          => "squeezeform",  
                 "title"         => "Form Code",  
                 "description"   => "Text and HTML for your squeeze form that will appear on the right sidebar of the page.",  
                 "type"          => "textarea",  
                 "scope"         =>   array( "squeeze" ),  
                 "capability"    => "edit_pages"  
            ),
             array(  
                 "name"          => "squeezeform2",  
                 "title"         => "Form Code",  
                 "description"   => "Text and HTML for your squeeze form that will appear on the right sidebar of the page.",  
                 "type"          => "textarea",  
                 "scope"         =>   array( "squeeze2" ),  
                 "capability"    => "edit_pages"  
            ),
             array(  
                 "name"          => "salesheader-on",  
                 "title"         => "Show blog header",  
                 "description"   => "If turned off your blog header, ads and navigation will not appear on this page.",  
                 "type"          => "checkbox",  
                 "scope"         =>   array( "sales" ),  
                 "capability"    => "edit_pages"  
             ),  
             array(  
                 "name"          => "salesfooterlogo",  
                 "title"         => "Show Socrates in Footer",  
                 "description"   => "If turned on the Socrates logo and link will be shown in the footer of the page, otherwise it will be hidden.",  
                 "type"          =>   "checkbox",  
                 "scope"         =>   array( "sales" ),  
                 "capability"    => "edit_pages"  
             ),
             array(  
                 "name"          => "contactemail",  
                 "title"         => "E-Mail:",  
                 "description"   => "E-mail address contact form entries will be sent to.",  
                 "type"          => "text",  
                 "scope"         =>  array( "contact" ),  
                 "capability"    => "edit_pages"  
             ),
             array(  
                 "name"          => "contactsubject",  
                 "title"         => "Subject:",  
                 "description"   => "Subject that will appear on the e-mails generated by the form.",  
                 "type"          => "text",  
                 "scope"         =>  array( "contact" ),  
                 "capability"    => "edit_pages"  
             ),
             array(  
                 "name"          => "contactsuccess",  
                 "title"         => "Success Message:",  
                 "description"   => "Message that users see in place of the form after submitting it.",  
                 "type"          => "text",  
                 "scope"         =>  array( "contact" ),  
                 "capability"    => "edit_pages"  
             ),
             array(  
                 "name"          => "contactfrom",  
                 "title"         => "From:",  
                 "description"   => "E-mails sent by the form will appear to come from this name.",  
                 "type"          => "text",  
                 "scope"         =>  array( "contact" ),  
                 "capability"    => "edit_pages"  
             ),
             array(  
                 "name"          => "fullpagehead",  
                 "title"         => "Show Blog Header:",  
                 "description"   => "If turned off your blog header, ads and navigation will not appear on this page.",  
                 "type"          => "checkbox",  
                 "scope"         =>  array( "fullpage" ),  
                 "capability"    => "edit_pages"  
             ),  
             array(  
                 "name"          => "fullfooterlogo",  
                 "title"         => "Show Socrates in Footer:",  
                 "description"   => "If turned on the Socrates logo and link will be shown in the footer of the page, otherwise it will be hidden.",  
                 "type"          =>   "checkbox",  
                 "scope"         =>   array( "fullpage" ),  
                 "capability"    => "edit_pages"  
             ),  
             array(  
                 "name"          => "pageadenabledfull",  
                 "title"         => "Show Header Ad:",  
                 "description"   => "If turned off the 720x90 ad area and social media slider will not appear in the header.  If these are not setup in the layout screen in the Socrates admin area they won't turn on even if this is checked.",  
                 "type"          =>   "checkbox",  
                 "scope"         =>   array( "fullpage"),  
                 "capability"    => "edit_pages"  
             ),  
             array(  
                 "name"          => "pageadenabledcontact",  
                 "title"         => "Show Header Ad:",  
                 "description"   => "If turned off the 720x90 ad area and social media slider will not appear in the header.  If these are not setup in the layout screen in the Socrates admin area they won't turn on even if this is checked.",  
                 "type"          =>   "checkbox",  
                 "scope"         =>   array("contact"),  
                 "capability"    => "edit_pages"  
             ),  
             array(  
                 "name"          => "pageadenabledsqueeze",  
                 "title"         => "Show Header Ad:",  
                 "description"   => "If turned off the 720x90 ad area and social media slider will not appear in the header.  If these are not setup in the layout screen in the Socrates admin area they won't turn on even if this is checked.",  
                 "type"          =>   "checkbox",  
                 "scope"         =>   array("squeeze"),  
                 "capability"    => "edit_pages"  
             ), 
             array(  
                 "name"          => "pageadenabledsales",  
                 "title"         => "Show Header Ad:",  
                 "description"   => "If turned off the 720x90 ad area and social media slider will not appear in the header.  If these are not setup in the layout screen in the Socrates admin area they won't turn on even if this is checked.",  
                 "type"          =>   "checkbox",  
                 "scope"         =>   array("sales"),  
                 "capability"    => "edit_pages"  
             ),  
	             array(  
	                 "name"          => "postDisableInPostAd",  
	                 "title"         => "Disable In Post Ad:",  
	                 "description"   => "Check this box to disable the Socrates in post ads on this post only.",  
	                 "type"          =>   "checkbox",  
	                 "scope"         =>   array("post"),  
	                 "capability"    => "edit_post"  
	             ),  
		         array(  
		             "name"          => "leftfooteronsqueeze",  
		             "title"         => "Show Left Footer Nav:",  
		             "description"   => "It turned on the navigation in the lower left footer will appear on this page.",  
		             "type"          =>   "checkbox",  
		             "scope"         =>   array("squeeze"),  
		             "capability"    => "edit_pages"  
		        ),
		         array(  
		             "name"          => "leftfooteronsqueeze2",  
		             "title"         => "Show Left Footer Nav:",  
		             "description"   => "It turned on the navigation in the lower left footer will appear on this page.",  
		             "type"          =>   "checkbox",  
		             "scope"         =>   array("squeeze2"),  
		             "capability"    => "edit_pages"  
		        ),
				array(  
		             "name"          => "rightfooteronsqueeze",  
		             "title"         => "Show Right Footer Nav:",  
		             "description"   => "It turned on the navigation in the lower right footer will appear on this page.",  
		             "type"          =>   "checkbox",  
		             "scope"         =>   array("squeeze"),  
		             "capability"    => "edit_pages"  
		        ),
				array(  
		             "name"          => "rightfooteronsqueeze2",  
		             "title"         => "Show Right Footer Nav:",  
		             "description"   => "It turned on the navigation in the lower right footer will appear on this page.",  
		             "type"          =>   "checkbox",  
		             "scope"         =>   array("squeeze2"),  
		             "capability"    => "edit_pages"  
		        ),
				array(  
		             "name"          => "nofollowsqueeze",  
		             "title"         => "No Index, No Follow:",  
		             "description"   => "Will set the noindex and nofollow meta tag in the header of this page causing the page and any links on it to not be indexed.  This might be useful for something such as a thank you or download page where you don't want to be indexed.",  
		             "type"          =>   "checkbox",  
		             "scope"         =>   array("squeeze"),  
		             "capability"    => "edit_pages"  
		        ),
				array(  
		             "name"          => "nofollowsqueeze2",  
		             "title"         => "No Index, No Follow:",  
		             "description"   => "Will set the noindex and nofollow meta tag in the header of this page causing the page and any links on it to not be indexed.  This might be useful for something such as a thank you or download page where you don't want to be indexed.",  
		             "type"          =>   "checkbox",  
		             "scope"         =>   array("squeeze2"),  
		             "capability"    => "edit_pages"  
		        ),
				array(  
		             "name"          => "leftfooteronsales",  
		             "title"         => "Show Left Footer Nav:",  
		             "description"   => "It turned on the navigation in the lower left footer will appear on this page.",  
		             "type"          =>   "checkbox",  
		             "scope"         =>   array("sales"),  
		             "capability"    => "edit_pages"  
		        ),
				array(  
		             "name"          => "rightfooteronsales",  
		             "title"         => "Show Right Footer Nav:",  
		             "description"   => "It turned on the navigation in the lower right footer will appear on this page.",  
		             "type"          =>   "checkbox",  
		             "scope"         =>   array("sales"),  
		             "capability"    => "edit_pages"  
		        )
		        ,
				array(  
		             "name"          => "nofollowsales",  
		             "title"         => "No Index, No Follow:",  
		             "description"   => "Will set the noindex and nofollow meta tag in the header of this page causing the page and any links on it to not be indexed.  This might be useful for something such as a thank you or download page where you don't want to be indexed.",  
		             "type"          =>   "checkbox",  
		             "scope"         =>   array("sales"),  
		             "capability"    => "edit_pages"  
		        ),
				array(  
		             "name"          => "leftfooteronfullpage",  
		             "title"         => "Show Left Footer Nav:",  
		             "description"   => "It turned on the navigation in the lower left footer will appear on this page.",  
		             "type"          =>   "checkbox",  
		             "scope"         =>   array("fullpage"),  
		             "capability"    => "edit_pages"  
		        ),
				array(  
		             "name"          => "rightfooteronfullpage",  
		             "title"         => "Show Right Footer Nav:",  
		             "description"   => "It turned on the navigation in the lower right footer will appear on this page.",  
		             "type"          =>   "checkbox",  
		             "scope"         =>   array("fullpage"),  
		             "capability"    => "edit_pages"  
		        )
		        ,
				array(  
		             "name"          => "nofollowfullpage",  
		             "title"         => "No Index, No Follow:",  
		             "description"   => "Will set the noindex and nofollow meta tag in the header of this page causing the page and any links on it to not be indexed.  This might be useful for something such as a thank you or download page where you don't want to be indexed.",  
		             "type"          =>   "checkbox",  
		             "scope"         =>   array("fullpage"),  
		             "capability"    => "edit_pages"  
		        )
				,
				array(  
		             "name"          => "showrightnavfootersales2",  
		             "title"         => "Show Right Footer Nav:",  
		             "description"   => "If checked the right footer nav will appear centered in the footer below the sales page.",  
		             "type"          =>   "checkbox",  
		             "scope"         =>   array("sales2"),  
		             "capability"    => "edit_pages"  
		        )
				,
                                
                                array(  
		             "name"          => "pagewidth",  
		             "title"         => "PageWidth 500px:",  
		             "description"   => "If checked the page width will be 500px otherwise 700px.",  
		             "type"          =>   "checkbox",  
		             "scope"         =>   array("skinny"),  
		             "capability"    => "edit_pages"  
		        )
				,
				array(  
		             "name"          => "disclaimersales2",  
		             "title"         => "Copyright/Disclaimer:",  
		             "description"   => "Can be text or HTML.  Will appear centered in the footer below your sales page.",  
		             "type"          =>   "textarea",  
		             "scope"         =>   array("sales2"),  
		             "capability"    => "edit_pages"  
		        )
				,
				array(  
		             "name"          => "nofollowsales2",  
		             "title"         => "No Index, No Follow:",  
		             "description"   => "Will set the noindex and nofollow meta tag in the header of this page causing the page and any links on it to not be indexed.  This might be useful for something such as a thank you or download page where you don't want to be indexed.",  
		             "type"          =>   "checkbox",  
		             "scope"         =>   array("sales2"),  
		             "capability"    => "edit_pages"  
		        ),
			// options below added by (tg) for Soc. 2.11
			// this option is for all pages
			//array( "name" => "nopagetitle_fullpage", "title"  => "No Page Title:", "description" => "When enabled, the page will NOT have a title.",  
				// "type" => "checkbox", "capability"  => "edit_pages", "scope" => array("fullpage"), ),
				 
			array( "name" => "nopagetitle_sales", "title"  => "No Page Title:", "description" => "When enabled, the page will NOT have a title.",  
				 "type" => "checkbox", "capability"  => "edit_pages", "scope" => array("sales"), ),
				 
			//array( "name" => "nopagetitle_sales2", "title"  => "No Page Title:", "description" => "When enabled, the page will NOT have a title.",  
				// "type" => "checkbox", "capability"  => "edit_pages", "scope" => array("sales2"), ),
				 
			//array( "name" => "nopagetitle_squeeze", "title"  => "No Page Title:", "description" => "When enabled, the page will NOT have a title.",  
				 //"type" => "checkbox", "capability"  => "edit_pages", "scope" => array("squeeze"), ),
				 
			//array( "name" => "nopagetitle_contact", "title"  => "No Page Title:", "description" => "When enabled, the page will NOT have a title.",  
				// "type" => "checkbox", "capability"  => "edit_pages", "scope" => array("contact"), ),
			// this option is only for posts
			 array(  
				 "name"          => "postcustomreadmore",  
				 "title"         => "Custom \"Read More...\" link text:",  
				 "description"   => "Enter custom text here to replace the \"Read More...\" text for this post. Leave blank for the default text.",  
				 "type"          => "text",  
				 "scope"         => array("post"),  
				 "capability"    => "edit_post"  
			 ),
         );  
         /** 
         * PHP 4 Compatible Constructor 
         */  
         function myCustomFields() { $this->__construct(); }  
         /** 
         * PHP 5 Constructor 
         */  
         function __construct() {  
             add_action( 'admin_menu', array( &$this, 'createCustomFields' ) );  
             add_action( 'save_post', array( &$this, 'saveCustomFields' ), 1, 2 );  
             // Comment this line out if you want to keep default custom fields meta box  
             //add_action( 'do_meta_boxes', array( &$this, 'removeDefaultCustomFields' ), 10, 3 );  
         }  
         /** 
         * Remove the default Custom Fields meta box 
         */  
         function removeDefaultCustomFields( $type, $context, $post ) {  
             foreach ( array( 'normal', 'advanced', 'side' ) as $context ) {  
                 remove_meta_box( 'postcustom', 'post', $context );  
                 remove_meta_box( 'postcustom', 'page', $context );  
                 //Use the line below instead of the line above for WP versions older than 2.9.1  
                 //remove_meta_box( 'pagecustomdiv', 'page', $context );  
             }  
         }  
         /** 
         * Create the new Custom Fields meta box 
         */  
         function createCustomFields() {  
             if ( function_exists( 'add_meta_box' ) ) {  
                 add_meta_box( 'my-custom-fields', 'Socrates Custom Fields', array( &$this, 'displayCustomFields' ), 'page', 'normal', 'high' );  
                 add_meta_box( 'my-custom-fields', 'Socrates Custom Fields', array( &$this, 'displayCustomFields' ), 'post', 'normal', 'high' );  
             }  
         }  
         /** 
         * Display the new Custom Fields meta box 
         */  
         function displayCustomFields() {
			if($_POST['activate-submit']) {
				soc_activate_form();
			}
			if(!is_active()) {
				echo "This copy of socrates is not active, please activate it to continue using your blog or deactivate the theme: <a href=\"index.php\">Go to Dashboard for Activation</a>";
				echo '<style>#titlediv {display:none;}';
				echo '#postdivrich {display:none;}';
				echo '#side-sortables {display:none;}';
				echo '</style>';
				
				return;
			}
			
              $this->displayCustomFieldsForScope("sales");
              $this->displayCustomFieldsForScope("squeeze");
              $this->displayCustomFieldsForScope("squeeze2");
              $this->displayCustomFieldsForScope("contact");
              $this->displayCustomFieldsForScope("fullpage");
			  $this->displayCustomFieldsForScope("post");
			  $this->displayCustomFieldsForScope("sales2");
                           $this->displayCustomFieldsForScope("skinny");
              ?>
 <script type="text/javascript">

		    /* <![CDATA[ */
                                addLoadEvent(pollinit);
				//alert('hellow world!');
var recentTemp = "";
   function pollTemp() {
     //alert('ping');
var template = document.getElementById('page_template').value;
//alert(template);
     if (document.getElementById('page_template').value == recentTemp) {
       return; // Nothing's changed since last polled.
     }
     recentTemp = document.getElementById('page_template').value;
document.getElementById('form-wrap-post').style.display = "none";
     //alert(recentTemp);
     if(recentTemp == 'squeezepage.php') {
         document.getElementById('form-wrap-fullpage').style.display = "none";
         document.getElementById('form-wrap-squeeze').style.display = "block";
         document.getElementById('form-wrap-squeeze2').style.display = "none";
         document.getElementById('form-wrap-sales').style.display = "none";
         document.getElementById('form-wrap-sales2').style.display = "none";
         document.getElementById('form-wrap-contact').style.display = "none";
         document.getElementById('postcustom').style.display = "none";
         document.getElementById('postdivrich').style.display = "none";
         document.getElementById('my-custom-fields').style.display = "block";
		document.getElementById('form-wrap-sales2').style.display = "none";
                  document.getElementById('form-wrap-skinny').style.display = "none";
     } else if(recentTemp == 'squeezepage2.php') {
         document.getElementById('form-wrap-fullpage').style.display = "none";
         document.getElementById('form-wrap-squeeze').style.display = "none";
         document.getElementById('form-wrap-squeeze2').style.display = "block";
         document.getElementById('form-wrap-sales').style.display = "none";
         document.getElementById('form-wrap-sales2').style.display = "none";
         document.getElementById('form-wrap-contact').style.display = "none";
         document.getElementById('postcustom').style.display = "block";
         document.getElementById('postdivrich').style.display = "block";
         document.getElementById('my-custom-fields').style.display = "block";
		document.getElementById('form-wrap-sales2').style.display = "none";
                  document.getElementById('form-wrap-skinny').style.display = "none";
     } 	else if(recentTemp == 'salespage.php') {
         document.getElementById('form-wrap-fullpage').style.display = "none";
         document.getElementById('form-wrap-squeeze').style.display = "none";
         document.getElementById('form-wrap-squeeze2').style.display = "none";
         document.getElementById('form-wrap-sales').style.display = "block";
         document.getElementById('form-wrap-sales2').style.display = "none";
         document.getElementById('form-wrap-contact').style.display = "none";
         document.getElementById('postcustom').style.display = "block";
         document.getElementById('postdivrich').style.display = "block";
         document.getElementById('my-custom-fields').style.display = "block";
		document.getElementById('form-wrap-sales2').style.display = "none";
                  document.getElementById('form-wrap-skinny').style.display = "none";
     } 	else if(recentTemp == 'salespage2.php') {
	     document.getElementById('form-wrap-fullpage').style.display = "none";
	     document.getElementById('form-wrap-squeeze').style.display = "none";
         document.getElementById('form-wrap-squeeze2').style.display = "none";
	     document.getElementById('form-wrap-sales').style.display = "none";
	     document.getElementById('form-wrap-contact').style.display = "none";
	     document.getElementById('form-wrap-sales2').style.display = "block";
	     document.getElementById('postcustom').style.display = "block";
	     document.getElementById('postdivrich').style.display = "block";
	     document.getElementById('my-custom-fields').style.display = "block";
               document.getElementById('form-wrap-skinny').style.display = "none";
	 }	else if(recentTemp == 'fullpage.php') {
         document.getElementById('form-wrap-squeeze').style.display = "none";
         document.getElementById('form-wrap-squeeze2').style.display = "none";
         document.getElementById('form-wrap-sales').style.display = "none";
         document.getElementById('form-wrap-sales2').style.display = "none";
         document.getElementById('form-wrap-contact').style.display = "none";
         document.getElementById('form-wrap-fullpage').style.display = "block";
         document.getElementById('postcustom').style.display = "block";
         document.getElementById('postdivrich').style.display = "block";
         document.getElementById('my-custom-fields').style.display = "block";
		document.getElementById('form-wrap-sales2').style.display = "none";
                  document.getElementById('form-wrap-skinny').style.display = "none";
     } else if(recentTemp == "contactpage.php") {
         document.getElementById('form-wrap-squeeze').style.display = "none";
         document.getElementById('form-wrap-squeeze2').style.display = "none";
         document.getElementById('form-wrap-fullpage').style.display = "none";
         document.getElementById('form-wrap-sales').style.display = "none";
         document.getElementById('form-wrap-sales2').style.display = "none";
         document.getElementById('form-wrap-contact').style.display = "block";
         document.getElementById('postcustom').style.display = "block";
         document.getElementById('postdivrich').style.display = "block";
         document.getElementById('my-custom-fields').style.display = "block";
		document.getElementById('form-wrap-sales2').style.display = "none";
                  document.getElementById('form-wrap-skinny').style.display = "none";

     } else if(recentTemp == "skinny.php") {
         document.getElementById('form-wrap-squeeze').style.display = "none";
         document.getElementById('form-wrap-squeeze2').style.display = "none";
         document.getElementById('form-wrap-fullpage').style.display = "none";
         document.getElementById('form-wrap-sales').style.display = "none";
         document.getElementById('form-wrap-sales2').style.display = "none";
         document.getElementById('form-wrap-contact').style.display = "none";
         document.getElementById('postcustom').style.display = "none";
         document.getElementById('postdivrich').style.display = "block";
         document.getElementById('my-custom-fields').style.display = "block";
	 document.getElementById('form-wrap-sales2').style.display = "none";
          document.getElementById('form-wrap-skinny').style.display = "block";

     }else {
         document.getElementById('form-wrap-fullpage').style.display = "none";
         document.getElementById('form-wrap-squeeze').style.display = "none";
         document.getElementById('form-wrap-squeeze2').style.display = "none";
         document.getElementById('form-wrap-sales').style.display = "none";
         document.getElementById('form-wrap-sales2').style.display = "none";
         document.getElementById('form-wrap-contact').style.display = "none";
         document.getElementById('postcustom').style.display = "block";
         document.getElementById('postdivrich').style.display = "block";
         document.getElementById('my-custom-fields').style.display = "none";
		document.getElementById('form-wrap-sales2').style.display = "none";
                  document.getElementById('form-wrap-skinny').style.display = "none";
     }
  
   }
function pollinit() {
     //alert('pollinit');
	if(!document.getElementById('page_template')) {
		//alert('post detected');
		
		document.getElementById('form-wrap-fullpage').style.display = "none";
		document.getElementById('form-wrap-squeeze').style.display = "none";
		document.getElementById('form-wrap-squeeze2').style.display = "none";
		document.getElementById('form-wrap-sales').style.display = "none";
		document.getElementById('form-wrap-sales2').style.display = "none";    
		document.getElementById('form-wrap-contact').style.display = "none";
		document.getElementById('form-wrap-skinny').style.display = "none";
		document.getElementById('form-wrap-post').style.display = "block";
	} else {
     	document.getElementById('page_template').onchange = function() {
         	pollTemp();
     	}
     	pollTemp();
	}
     //setInterval("pollTemp();", 1000);
   }  
			/* ]]> */

         </script>
<?php
         }
         function displayCustomFieldsForScope($targetscope) {  
             global $post;  
             ?>
            
             <div id="form-wrap-<?php echo $targetscope; ?>">  
                 <?php  
                 if($targetscope=="squeeze") {
                       echo "<strong>Squeeze Page</strong><br>A squeeze page consists of a header, a video and text below the video.  A right bar containing a form appears to the right of the page.<br><br>";
                 } else if($targetscope=="squeeze2") {
                       echo "<strong>Squeeze Page w/ Editor</strong><br>An easy to use squeeze page template that uses the wordpress wysiwyg editor for left content and html box for optin area.<br><br>";
                 } else if($targetscope=="sales") {
                       echo "<strong>Sales Page</strong><br>A sales page has no sidebars and an option of turning off the blog header.<br><br>";
                 } else if($targetscope=="contact") {
                       echo "<strong>Contact Page</strong><br>A contact page will add a form below the post content allowing users to easily send an e-mail to whatever address is setup below.<br><br>";
                 } else if($targetscope=="fullpage") {
                       echo "<strong>No Sidebars</strong><br>A page template that has no sidebars.<br><br>";
                 } else if($targetscope=="sales2") {
					echo "<strong>Skinny Sales Page</strong><br>A skinny sales page like the one that appears on the Socrates Theme page.  This page template doesn't allow for your blog header, ads or navigation to be automatically included.<br><br>";
	         } else if($targetscope=="skinny") {
					echo "<strong>New Skinny Page</strong><br>This is a simple container you can customize to be either 700px or 500px wide.<br><br>";
				}
                 wp_nonce_field( 'my-custom-fields', 'my-custom-fields_wpnonce', false, true );  
                 foreach ( $this->customFields as $customField ) {  
                     // Check scope  
                     $scope = $customField[ 'scope' ];  
                     $output = false;  
                     foreach ( $scope as $scopeItem ) {  
                         switch ( $scopeItem ) {
                             case "contact": {
                                 if($targetscope == "contact")
                                      $output = true;
                                 break;
                             }
                             case "squeeze": {
                                 if($targetscope == "squeeze")
                                     $output = true;
                                 break;

                             }
                             case "squeeze2": {
                                 if($targetscope == "squeeze2")
                                     $output = true;
                                 break;

                             }
                             case "sales": {
                                 if($targetscope == "sales")
                                     $output = true;
                                 break;

                             }
                              case "skinny": {
                                 if($targetscope == "skinny")
                                     $output = true;
                                 break;

                             } 
							case "sales2": {
                                 if($targetscope == "sales2")
                                     $output = true;
                                 break;

                             }
                             case "fullpage": {
                                 if($targetscope == "fullpage")
                                     $output = true;
                                 break;

                             }  
                             case "post": {  
                                 // Output on any post screen 
 								if($targetscope == 'post') {
									$output = true;
								}
                                 //if ( basename( $_SERVER['SCRIPT_FILENAME'] )=="post-new.php" || $post->post_type=="post" )  
                                  //   $output = true;  
                                 break;  
                             }  
                             case "page": {  
                                 // Output on any page screen  
                                 if ( basename( $_SERVER['SCRIPT_FILENAME'] )=="page-new.php" || $post->post_type=="page" )  
                                     $output = true;  
                                 break;  
                             }  
                         }  
                         if ( $output ) break;  
                     }  
                     // Check capability  
                     if ( !current_user_can( $customField['capability'], $post->ID ) )  
                         $output = false;  
                     // Output if allowed  
                     if ( $output ) { ?>  
                         <div class="form-field form-required">  
                             <?php  
                             switch ( $customField[ 'type' ] ) {  
                                 case "checkbox": {  
                                     // Checkbox  
                                     echo '<label for="' . $this->prefix . $customField[ 'name' ] .'" style="display:inline;"><b>' . $customField[ 'title' ] . '</b></label>&nbsp;&nbsp;';  
                                     echo '<input type="checkbox" name="' . $this->prefix . $customField['name'] . '" id="' . $this->prefix . $customField['name'] . '" value="yes"';  
                                    if ( get_post_meta( $post->ID, $this->prefix . $customField['name'], true ) == "yes" )  
                                         echo ' checked="checked"';  
                                     echo '" style="width: auto;" />';  
                                     break;  
                                 }  
                                 case "textarea": { 
                                     // Text area 
                                     echo '<label for="' . $this->prefix . $customField[ 'name' ] .'"><b>' . $customField[ 'title' ] . '</b></label>';  
									 echo '<div class="clear;"></div>';
                                     echo '<textarea name="' . $this->prefix . $customField[ 'name' ] . '" id="' . $this->prefix . $customField[ 'name' ] . '" columns="30" rows="3">' . htmlspecialchars( get_post_meta( $post->ID, $this->prefix . $customField[ 'name' ], true ) ) . '</textarea>';  
                                     break;  
                                 }  
                                 default: {  
                                     // Plain text field  
                                     echo '<label for="' . $this->prefix . $customField[ 'name' ] .'"><b>' . $customField[ 'title' ] . '</b></label>';  
                                     echo '<input type="text" name="' . $this->prefix . $customField[ 'name' ] . '" id="' . $this->prefix . $customField[ 'name' ] . '" value="' . htmlspecialchars( get_post_meta( $post->ID, $this->prefix . $customField[ 'name' ], true ) ) . '" />';  
                                     break;  
                                }  
                             }  
                             ?>  
                             <?php if ( $customField[ 'description' ] ) echo '<p>' . $customField[ 'description' ] . '</p>'; ?>  
                         </div>  
                     <?php  
                     }  
                 } ?>  
             </div>  
             <?php  
         }  
         /** 
         * Save the new Custom Fields values 
         */  
         function saveCustomFields( $post_id, $post ) {  
             if ( !wp_verify_nonce( $_POST[ 'my-custom-fields_wpnonce' ], 'my-custom-fields' ) )  
                 return;  
             if ( !current_user_can( 'edit_post', $post_id ) )  
                 return;  
             if ( $post->post_type != 'page' && $post->post_type != 'post' )  
                 return;  
             foreach ( $this->customFields as $customField ) {  
                 if ( current_user_can( $customField['capability'], $post_id ) ) {  
                     if ( isset( $_POST[ $this->prefix . $customField['name'] ] ) && trim( $_POST[ $this->prefix . $customField['name'] ] ) ) {  
                         update_post_meta( $post_id, $this->prefix . $customField[ 'name' ], $_POST[ $this->prefix . $customField['name'] ] );  
                     } else {  
                         delete_post_meta( $post_id, $this->prefix . $customField[ 'name' ] );  
                     }  
                }  
            }  
        }  
   
     } // End Class  
   
 } // End if class exists statement  
   
 // Instantiate the class  
 if ( class_exists('myCustomFields') ) {  
    $myCustomFields_var = new myCustomFields();  
 }
?>