<?php

// we're going to add a CSS file for our admin pages
function socrates_admin_init(){
	wp_enqueue_style("functions", get_bloginfo('template_url').'/css/style-admin.css', false, "1.0", "all");
}
add_action('admin_init', 'socrates_admin_init');

//Add the menu to the Settings sidenav in wp-admin
$path =  get_bloginfo( 'template_directory' );

function socrates_admin_menu() {
	//setup defaults if it hasn't been installed before
	
	// set the default options for our menus if they have never been set before
	if (!is_array(get_option('menuOptions'))){
		update_option('menuOptions', array(
			'useCustomMenus'=>false,
		));
	}

	//delete_option('headerOptions');
	if (!is_array(get_option('socratesOptions'))){
		$layout['displaySearch'] = true;
		$layout['customSearchBox'] = '';
		update_option('socratesOptions',$layout);
	} else {
		$layout = get_option('socratesOptions');
		//print_r($layout);
		if (!array_key_exists('displaySearch', $layout)) $layout['displaySearch'] = true;
		if (!array_key_exists('customSearchBox', $layout)) $layout['customSearchBox'] = '';
		if (!array_key_exists('authon', $layout)) $layout['authon'] = 'on';
		if (!array_key_exists('useh1post', $layout)) $layout['useh1post'] = 'on';
		if (!array_key_exists('authonpage', $layout)) $layout['authonpage'] = 'on';
		if (!array_key_exists('useh1page', $layout)) $layout['useh1page'] = 'on';
		if (!array_key_exists('disableFeatImg', $layout)) $layout['disableFeatImg'] = 'on';
		if (!array_key_exists('disablecatthumb', $layout)) $layout['disablecatthumb'] = 'on';
		
		
		//print_r($layout);
		update_option('socratesOptions',$layout);
	}
	if(!is_array(get_option('headerOptions'))) {
		//setup header options
		$header['hColor'] = "FFFFFF";
		$header['dColor'] = "FFFFFF";
		$header['titleFontSize'] = "26px";
		$header['descFontSize'] = "16px";
		$header['headerType'] = "image";
		$header['headerUrl'] = get_bloginfo('template_url').'/header-images/uploads/defaultheader.jpg';
		$header['titleText'] = get_bloginfo('name');
		$header['descText'] = get_bloginfo('description');
		update_option('headerOptions',$header);
	}
	if(!is_array(get_option('styleOptions'))) {
		$style['themeBodyFont'] = "'lucida grande', Verdana, Sans-Serif";
		$style['bgColor'] = 'F4F4F4';
		$style['topNavColor'] = '000000';
		$style['topNavHover'] = 'D45D2A';
		$style['primaryNavColor'] = '000000';
		$style['primaryNavHover'] = 'D45D2A';
		$style['footerTextColor'] = '333333';
		$style['footerNavColor'] = '336699';
		$style['footerNavHover'] = 'D45D2A';
		$style['hColor'] = '000000';
		$style['hHover'] = '333333';
		$style['postColor'] = '336699';
		$style['postHover'] = 'D45D2A';
		update_option('styleOptions',$style);
	}
	$topNav = get_option("navOptions");
	$primaryNav = get_option("primaryNavOptions");
	//TOP NAVIGATION
	if (!is_array( $topNav )){
		$topNav = array('topNav' => 'display'); 
		$topNav['display'] = 'block';
		$topNavOn = 'CHECKED';
		$topNavOff = ' ';
		$topNav['link1'] = get_bloginfo('wpurl');
		$topNav['title1'] = 'Home';
                $topNav['nofollow1'] = False;
                $topNav['newwindow1'] = False;
				$topNav['link2'] = get_bloginfo('wpurl').'/about';
				$topNav['title2'] = 'About';
		                $topNav['nofollow2'] = False;
		                $topNav['newwindow2'] = False;
		update_option('navOptions',$topNav);
  	} 


	//PRIMARY NAVIGATION
	if (!is_array( $primaryNav )){
		$primaryNav = array('primaryNav' => 'display'); 
		 $primaryNavOn = 'CHECKED';
		 $primaryNavOff = ' ';
		$primaryNav['display'] = 'block';
		$primaryNav['link1'] = get_bloginfo('wpurl');
		$primaryNav['title1'] = 'Home';
                $primaryNav['nofollow1'] = False;
                $primaryNav['newwindow1'] = False;
				$primaryNav['link2'] = get_bloginfo('wpurl').'/about';
				$primaryNav['title2'] = 'About';
		                $primaryNav['nofollow2'] = False;
		                $primaryNav['newwindow2'] = False;
		update_option('primaryNavOptions',$primaryNav);
  	}
	
	$path =  '';
	//add_menu_page(page_title, menu_title, access_level/capability, file, [function], [icon_url]);
	// make sure to put the socrates menu thing at the top
	add_menu_page('Socrates', 'Socrates', 8, $path.'functions.php', 'socrates_panel_setting', get_bloginfo( 'stylesheet_directory' ).'/images/IMsm.png', 30);
	add_submenu_page($path.'functions.php', 'Socrates', 'Layout', 8, 'functions.php?option=layout', 'socrates_layout_setting');
	add_submenu_page($path.'functions.php', 'Socrates', 'Styling', 8, 'functions.php?option=style', 'socrates_style_setting');
	add_submenu_page($path.'functions.php', 'Socrates', 'Header', 8, 'functions.php?option=header', 'socrates_header_setting');
	add_submenu_page($path.'functions.php', 'Socrates', 'Background', 8, 'functions.php?option=bg', 'socrates_bg_setting');
	
	//add_submenu_page($path.'functions.php', 'Socrates', 'Custom Css', 8, 'functions.php?option=cuscss', 'socrates_cuscss_setting'); //added by  Matt
	//print_r($GLOBALS['menu']);
	
	// put some seperators around the socrates menu
	// since the parent menu is at position 4, put the seperates at spots 3 and 5
	$GLOBALS['menu'][29] = array( '', 'read', 'separator1', '', 'wp-menu-separator' );
	$GLOBALS['menu'][31] = array( '', 'read', 'separator1', '', 'wp-menu-separator' );
}

add_action('admin_menu', 'socrates_admin_menu');

// ADMIN PANEL CODE

// ---------------------------------------  RESET ------------------------------------------------------------
// Reset system to purge all Socrates options and start fresh.(sh) 
function socrates_reset_setting(){
	?>

	<script language="javascript">
	function verify(t,qs)
	{
	var agree=confirm(t);
	if (agree)
	location.href=qs ;
	}
	</script>

<?php socrates_display_settings_navigation(); ?>


	<?php if ($_GET[purge] != "YES") { ?>
	<div class="settingsArea"><h4 style="color:red;">DANGER!</h4>
	<div>
	You are about to reset all your Socrates theme settings. ALL your current Socrates theme settings will be lost and can not be recovered after this action. Are you sure you wish to continue?<br /><br />
	<a href="#verify" onclick="verify('Are you 100% sure you want to clear the settings??','admin.php?page=functions.php?option=reset&purge=YESS');">Yes. Clear my settings.</a>
	</div>
	<br />
	<?php } else { ?>
	<div class="settingsArea"><h4 style="color:red;">DANGER!</h4>
	<div>
	Your settings have been reset. You can now reconfigure Socrates or uninstall.
	</div>
	<br />
	<?php
	delete_option("layoutOptions");
	delete_option("headerOptions");
	delete_option("styleOptions");
	delete_option("primaryNavOptions"); 
	delete_option("bgOptions");
	delete_option("socratesOptions");
	}

}
// ---------------------------------------  \RESET -----------------------------------------------------------

// ------------------------------------  BACKGROUND ----------------------------------------------------------

function socrates_bg_setting(){
		$style = get_option("styleOptions");
		$bg = get_option("bgOptions");


		if ($_POST['bg-Submit']) {

			$bg['repeat'] = $_POST['bg-repeat'];
			$bg['fixed']=$_POST['fixed'];


			$types = array('image/png', 'image/jpg', 'image/gif', 'image/jpeg'); 

			$target_path =  '../wp-content/themes/socrates/background-images/';

			$fileName = str_replace(' ', '_',  $_FILES['customBg']['name']);

			$target_path = $target_path . $fileName; 

			if (in_array($_FILES['customBg']['type'], $types)) {
				if(move_uploaded_file($_FILES['customBg']['tmp_name'], $target_path)) {
						//$bg['bg'] = $fileName;
				}	
			}
			$bg['bg'] = $_POST['bg-bg'];
			update_option("bgOptions", $bg);

			echo '<div id="socMsg">Settings have been updated successfully.</div>';

		}  

		

		if ($bg['repeat'] == 'repeat-x'){ $repeatX= 'CHECKED'; }

		else if ($bg['repeat'] == 'repeat-y'){ $repeatY= 'CHECKED'; }

		else if ($bg['repeat'] == 'no-repeat'){ $repeatN= 'CHECKED'; }

		else if ($bg['repeat'] == 'repeat'){ $repeatA= 'CHECKED'; }

                else { $repeatA = 'CHECKED'; }
		
		if ($bg['fixed'] == 'fixed'){ $fixed= 'fixed'; }

		

		if ($bg['bg'] == 'none' || !$bg['bg'] ){ $bgCheckedNo = 'CHECKED'; } else { $bgCheckedYes = 'CHECKED';}
		echo '<style>#bg { background:#'.$style['bgColor'].';background-image:url("'.get_bloginfo('template_url').'/background-images/'.$bg['bg'].'");background-repeat:'.$bg['repeat'].'; }</style>';
?>


	<script type="text/javascript">

	/* <![CDATA[ */
    			function changeRepeat(value){


					if (value == 'x'){

						document.getElementById('bg').style.backgroundRepeat = 'repeat-x';

						document.getElementById('bg-repeat').value = 'repeat-x';

					}

					if (value == 'y'){

						document.getElementById('bg').style.backgroundRepeat = 'repeat-y';

						document.getElementById('bg-repeat').value = 'repeat-y';

					}

					if (value == 'n'){

						document.getElementById('bg').style.backgroundRepeat = 'no-repeat';

						document.getElementById('bg-repeat').value = 'no-repeat';

					}

					if (value == 'a'){

						document.getElementById('bg').style.backgroundRepeat = 'repeat';

						document.getElementById('bg-repeat').value = 'repeat';

					}

				}

				

				function changeImage(value){ 
					document.getElementById('bg').style.background = "url(<?php bloginfo('template_url'); ?>/background-images/"+value+")";

					document.getElementById('bg-bg').value = value;

				}

				

				function changeBg(value){ 

					if (value == 'n'){

						document.getElementById('bg').style.backgroundImage = 'none';

						document.getElementById('bg-bg').value = 'none';

					}

					if (value == 'y'){

						document.getElementById('bg').style.background = "url(<?php bloginfo('template_url'); ?>/background-images/<?php echo $bg['bg'] ?>)";

					}

				}

			

		/* ]]> */

      </script>
    

<?php socrates_display_settings_navigation(); ?>

        <form name="socrates" method="post" enctype="multipart/form-data" action="<?php echo $_SERVER['REQUEST_URI']; ?>"/>
        	<input type="hidden" id="bg-bg" name="bg-bg" value="<?php echo $bg['bg'] ?>"/>
            <input type="hidden" id="bg-repeat" name="bg-repeat" value="<?php echo $bg['repeat'] ?>"/>

            <div class="settingsArea">
                 <h4>Use a Background Image?</h4>
				  <p>Important: If background image doesn't save, please goto Socrates > Styling and save a preset or custom color scheme.</p>
                     <input type="radio" name="background" onclick="changeBg('y')" value="repeat-x" <?php echo $bgCheckedYes; ?> /> <b>Yes</b>
                     <input type="radio" name="background" onclick="changeBg('n')" value="repeat-y" <?php echo $bgCheckedNo; ?> /> <b>No</b>
            </div>

            <div id="bg"></div>

            

             <div class="settingsArea">

                 <div><b>Alignment</b> 

                	<input type="radio" name="repeat" onclick="changeRepeat('x')" value="repeat-x" <?php echo $repeatX; ?> /> Repeat X 

                    <input type="radio" name="repeat" onclick="changeRepeat('y')" value="repeat-y" <?php echo $repeatY; ?> /> Repeat Y

                    <input type="radio" name="repeat" onclick="changeRepeat('n')" value="no-repeat" <?php echo $repeatN; ?> /> No-Repeat

                    <input type="radio" name="repeat" onclick="changeRepeat('a')" value="repeat" <?php echo $repeatA; ?> /> Repeat Both 

                   <span style="margin-left:120px">Background color is set on the styling tab.</span>

                 </div>

             </div>
		
             <input type="checkbox" name="fixed"  value="fixed" <?php if($fixed){ ?> checked <? } ?> /> Fixed Background Option<br /><br />

             <div class="settingsArea">

                    <h4>Upload Your Own Background Image</h4>

                     <div>

                        <input name="customBg" type="file"/> <input name="save" value="Upload" type="submit" /><br />

                        

                     </div>

                     <br />

                </div>



            <div class="settingsArea">

                <div class="folders">

                    <div class="catTitles">

                        <h4>Background options</h4>

                    <?php

						$abstractList = ''; $url = get_bloginfo('template_url');

						$directory =  '../wp-content/themes/socrates/background-images/';

						if ($handle = opendir($directory)) {

						   while (false != ($file = readdir($handle))) {

								if ($file != "." && $file != "..") {

									echo  '<div class="image" style="background-image:url('.$url.'/background-images/'.$file.');" onclick="changeImage(\''.$file.'\');">'.$file."</div>";

								}  

							}

						  closedir($handle);

						}

					?>

                    </div>

                 </div>


            <input type="hidden" id="bg-Submit" name="bg-Submit" value="1" />        

            <input name="save" value="Save" type="submit" class="button-primary" />

        </form>
</div>
</div><!-- /.adminMain -->
</div> <!-- /#adminPanelWrap -->	

	<?php 

} 
// ------------------------------------  /BACKGROUND ----------------------------------------------------------

// ------------------------------------  HEADER ----------------------------------------------------------

function socrates_header_setting(){

	$header = get_option("headerOptions");
	
	$headerImageOn = '';
	$headerColorOn = '';
	

	if ($_POST['header-Submit']) {
		

		//$header['headerUrl'] = $_POST['headerUrl'];

		$header['titleText'] = $_POST['siteTitle'];

		$header['descText'] = $_POST['siteDesc'];

		

		$header['hColor'] = $_POST['submit-hColor'];

		$header['dColor'] = $_POST['submit-dColor'];

		

		$header['align'] = $_POST['submit-align'];

		$header['titleFont'] = $_POST['submit-titleFont'];

		$header['descFont'] = $_POST['submit-descFont'];

		

		$header['titleFontSize'] = $_POST['submit-titleFontSize'];

		$header['descFontSize'] = $_POST['submit-descFontSize'];
		
		$header['headerType'] = $_POST['socHeaderBgType'];
		
		$header['bgColor'] = $_POST['submit-bgColor'];

		

		//echo $_POST['submit-descFontSize'];

		//echo $header['descFont'];

		

		//echo "dir = ".dirname(__FILENAME__)."<br />";

		//echo __FILE__."<br />";

		//echo getcwd();

		

		//echo "<br/>";

		

		//var_dump(is_dir('../wp-content/themes/socrates/header-images/uploads'));

		

		

		

		$types = array('image/png', 'image/jpg', 'image/gif', 'image/jpeg'); 

		// Upload File

		//$directory =  '../wp-content/themes/socrates/header-images/abstract';

		$target_path =  '../wp-content/themes/socrates/header-images/uploads/';

		$fileName = str_replace(' ', '_',  $_FILES['customHeader']['name']);

		$target_path = $target_path . $fileName; 

		if (in_array($_FILES['customHeader']['type'], $types)) {

			if(move_uploaded_file($_FILES['customHeader']['tmp_name'], $target_path)) {

				

					echo "file moved " . $fileName;
                                        $url = get_bloginfo('template_url');
                                        $header['headerUrl'] = $url.'/header-images/uploads/'.$fileName;

				}				

				

		} else if ($_POST['headerUrl'] != $header['headerUrl']) {
			//need to check domain on the new path to make sure it isn't already local
			$urlsplit = explode("/", $_POST['headerUrl']);
			if($urlsplit[2]=='socratesheaders.s3.amazonaws.com') {
				
				$headerimg = file_get_contents_socrates($_POST['headerUrl']);
				
			
				$lastindex = (count($urlsplit) - 1);
			    $name =  'soc'.$urlsplit[$lastindex];
				
				file_put_contents_socrates("../wp-content/themes/socrates/header-images/uploads/{$name}", $headerimg);
				
				$url = get_bloginfo('template_url');
				$header['headerUrl'] = $url.'/header-images/uploads/'.$name;
			} else {
				$header['headerUrl'] = $_POST['headerUrl'];
			}
		}

		

		

		

		

		update_option("headerOptions", $header);

	

		echo '<div id="socMsg">Settings have been updated successfully.</div>';

				

		

	}

	if($header['headerType']=='image') {
		$headerImageOn = 'CHECKED';
	} else if($header['headerType']=='color') {
		$headerColorOn = 'CHECKED';
	} else {
		$headerImageOn = 'CHECKED';
		$header['headerType'] = 'image';
	}

	if (!$header['headerUrl']){$header['headerUrl'] = '../wp-content/themes/socrates/header-images/abstract/JigsawPuzzles.jpg';}

	//if (!$header['titleText']){$header['titleText'] = get_bloginfo('name');}

	//if (!$header['descText']){$header['descText'] = get_bloginfo('description ');}

	

	?>

		

        <script type="text/javascript">

		    /* <![CDATA[ */
addLoadEvent(pollinit);

				//alert('hellow world!');

				function clearText(thefield){ if (thefield.defaultValue==thefield.value); thefield.value = ""; }


			

var recentHash = "";
   function pollHash() {
     //alert(window.location.hash);
     if (window.location.hash==recentHash) {
       return; // Nothing's changed since last polled.
     }
     recentHash = window.location.hash;
     //alert(recentHash);
  
     // URL has changed, update the UI accordingly.
     document.getElementById('headerBg').innerHTML =  '<img src="'+recentHash.substr(1)+'"/>';

     document.getElementById('headerUrl').value = recentHash.substr(1);
  
   }
function pollinit() {
     //alert('pollinit');
     pollHash();
     setInterval("pollHash();", 1000);
   }



				function drawcolors(athing) {

					var val = String(document.getElementsByName(athing)[0].name).substring(0,String(document.getElementsByName(athing)[0].name).length - 1);

					var red = document.getElementsByName(val + "R")[0].value;

					var green = document.getElementsByName(val + "G")[0].value;

					var blue = document.getElementsByName(val + "B")[0].value;

					

					document.getElementById("hColorExample").innerHTML="<div style=\"position:absolute; top:40px; left:400px;\">Color Example: </div> <div style=\"position:absolute; background-color:rgb(" + red + "," + green + "," + blue + "); height:100px; width: 100px; top:60px; left:400px; border: 1px solid black;\"></div>";

				}

				

					

				function changeBackground(){ 

					var image = document.getElementById('headerUrl').value;

					document.getElementById('headerBg').innerHTML =  '<img src="'+image+'"/>'

				}

				function changeTitle(){ 

					document.getElementById('titleText').innerHTML = document.getElementById('siteTitle').value; 

					document.getElementById('submit-titleText').value = document.getElementById('siteTitle').value; 



				}

				function changeDesc(){ 

					document.getElementById('descText').innerHTML = document.getElementById('siteDesc').value; 

					document.getElementById('submit-descText').value = document.getElementById('siteDesc').value; 

				}

				

				function changeStyle(value){ alert(value);}

				

				function changeAlignment(value){ 

					document.getElementById('titleText').style.textAlign = value;

					document.getElementById('descText').style.textAlign = value;

					document.getElementById('submit-align').value = value; 

				}

				

				function changeHColor(){ 

					

					var newColor = document.getElementById('hColor').value;

					document.getElementById('titleText').style.color = "#"+newColor;

					document.getElementById('submit-hColor').value = newColor; 

				}

				function changeDColor(value){ 

					var newColor = document.getElementById('dColor').value;

					document.getElementById('descText').style.color = "#"+newColor;

					document.getElementById('submit-dColor').value = newColor; 

				}
				
				function changeBgColor(value){ 

					var newColor = document.getElementById('bgColor').value;

					document.getElementById('headerBg').style.backgroundColor = "#"+newColor;
					document.getElementById('headerBg').innerHTML =  '';

					document.getElementById('submit-bgColor').value = newColor; 

				}
				
				function socSetHeadBgImage() {
					document.getElementById('socHeaderBgUpload').style.display = 'block';
					document.getElementById('socHeaderBgPicker').style.display = 'block';
					document.getElementById('socHeaderBgColorPicker').style.display = 'none'
					document.getElementById('headerBg').innerHTML =  '<img src="'+document.getElementById('headerUrl').value+'"/>';
				}
				
				function socSetHeadBgColor() {
					document.getElementById('headerBg').innerHTML =  '';
					document.getElementById('socHeaderBgUpload').style.display = 'none';
					document.getElementById('socHeaderBgPicker').style.display = 'none';
					document.getElementById('socHeaderBgColorPicker').style.display = 'block'
					
				}

				

				function changeImage(value){ 

					//alert(value);

					document.getElementById('headerBg').innerHTML =  '<img src="'+value+'"/>';

					document.getElementById('headerUrl').value = value;

				}

				

				var hide = 'abstract';

				function showFiles(value){ 

					if (hide != value){

						document.getElementById(hide).style.display = 'none';

						document.getElementById(value).style.display = 'block';

						hide = value;

					}

					



				}

				

				function changeFont(value){ 

					if (value == 'titleText'){

						var font = (document.getElementById('titleFont').value)

						document.getElementById(value).style.fontFamily = font;

						document.getElementById('submit-titleFont').value = font;

					}

					if (value == 'descText'){

						var font = (document.getElementById('descFont').value)

						document.getElementById(value).style.fontFamily = font;

						document.getElementById('submit-descFont').value = font;

					}

					

				}

				

				var titleSize = 200;

				var descSize = 100;

				function changeFontSize(value){

					if (value == 'titleUp'){

					 titleSize = titleSize + 10

					 document.getElementById('titleText').style.fontSize = titleSize+'%';

					 document.getElementById('submit-titleFontSize').value = titleSize+'%';

					} else

					if (value == 'titleDown'){

					 titleSize = titleSize - 10

					 document.getElementById('titleText').style.fontSize = titleSize+'%';

					 document.getElementById('submit-titleFontSize').value = titleSize+'%';

					} else

					if (value == 'descUp'){

					 descSize = descSize + 10

					 document.getElementById('descText').style.fontSize = descSize+'%';

					 document.getElementById('submit-descFontSize').value = descSize+'%';

					} else

					if (value == 'descDown'){

					 descSize = descSize - 10

					 document.getElementById('descText').style.fontSize = descSize+'%';

					 document.getElementById('submit-descFontSize').value = descSize+'%';

					}

				}

					

			/* ]]> */

         </script>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/scripts/jscolor/jscolor.js"></script>
         

         <style type="text/css">

		 .box			{ width:20px; height:20px; background:#666; float:left; margin:0px 5px; text-align:center; color:#FFF; font-style:bold;}

		 .center		{ height:20px; float:left; margin:0px; text-align:center; color:#FFF; font-style:bold; position:relative; top:-3px}

		 .align			{ float:left;padding:5px; width:150px; position:relative;}

		 .descTitle		{ position:absolute; font-size:70%; text-align:center; top:-13px; width:200px;}

		 #title 		{ margin:20px 0px -10px; padding:5px 10px 0px;}

		 #descText		{ padding:0px 10px; color:#<?php echo $header['dColor']; ?>; font-size:<?php echo $header['descFontSize']; ?>; text-align:<?php echo $header['align']; ?>; 

		 						font-family:<?php echo $header['titleFont']; ?> }

		 #titleText		{ color:#<?php echo $header['hColor']; ?>; text-align:<?php echo $header['align']; ?>; 

		 					font-size:<?php echo $header['titleFontSize']; ?>; font-family:<?php echo $header['titleFont']; ?> }

		 .folders		{ position:relative; }

		 .catTitles		{ padding:0px; background:#999; border:2px solid #666; width:203px;  height:450px;}

		 

		 .folders h4	{ text-align:center; background-color:#CCC; margin:5px; border:1px solid #333; padding:7px;}

		 .folders h4	{ background-color:#333; border:1px solid #CCC; color:#FFF; padding:10px 10px 3px; 

		 						text-align:center; height:30px; width:170px; margin:5px;}

		 .folders h4:hover			{ background-color:#FFF; border:1px solid #000; color:#000; cursor:pointer;}

		 

		 .headerDisplayBlock		{ position:absolute; top:0px; left:225px; height:450px; overflow-y:scroll; overflow-x:hidden

		 				padding:5px; background:#999; border:2px solid #666; width:705px;}

		 .headerDisplayBlock img	{ border:1px #000 solid; margin:5px;}

		 .headerDisplayBlock img:hover	{ border:1px #FFF solid; cursor:pointer;}

		 .font				{ width:90px;}

		 .arial				{ font-family:Arial, Helvetica, sans-serif}

		 .verdana			{ font-family:Verdana, Geneva, sans-serif}

		 .georgia			{ font-family:Georgia, "Times New Roman", Times, serif}

		 .times				{ font-family:"Times New Roman", Times, serif}

		 .tahoma			{ font-family:Tahoma, Geneva, sans-serif}
		
		<?php
			if($headerImageOn=='CHECKED') {
				echo '#socHeaderBgColorPicker		{display:none;}';
			} else {
				echo '#socHeaderBgUpload			{display:none;}';
				echo '#socHeaderBgPicker			{display:none;}';
				
			}
			
			echo '#headerBg {background-color:#'.$header['bgColor'].';}'
		
		?>
		
		 

		 </style>

        
<?php socrates_display_settings_navigation(); ?>

        <form name="socrates" method="post"  enctype="multipart/form-data" action="<?php echo $_SERVER['REQUEST_URI']; ?>"/>

        	<input type="hidden" id="submit-titleText" name="submit-titleText" value="<?php echo $header['titleText'] ?>"/>

            <input type="hidden" id="submit-descText" name="submit-descText" value="<?php echo $header['descText']; ?>"/>

            

            <input type="hidden" id="submit-hColor" name="submit-hColor" value="<?php echo $header['hColor']; ?>"/>

            <input type="hidden" id="submit-dColor" name="submit-dColor" value="<?php echo $header['dColor']; ?>"/>

            <input type="hidden" id="submit-bgColor" name="submit-bgColor" value="<?php echo $header['bgColor']; ?>"/>

            <input type="hidden" id="submit-align" name="submit-align" value="<?php echo $header['align']; ?>"/>

            <input type="hidden" id="submit-titleFont" name="submit-titleFont" value="<?php echo stripslashes($header['titleFont']); ?>"/>

            <input type="hidden" id="submit-descFont" name="submit-descFont" value="<?php echo stripslashes($header['descFont']); ?>"/>

            

            <input type="hidden" id="submit-titleFontSize" name="submit-titleFontSize" value="<?php echo $header['titleFontSize']; ?>"/>

            <input type="hidden" id="submit-descFontSize" name="submit-descFontSize" value="<?php echo $header['descFontSize']; ?>"/>

            

            <?php $header['titleText'] = stripslashes($header['titleText']);

		$header['descText'] = stripslashes($header['descText']);
		?>
         <div style="height:180px; clear:both; width:960px; position:relative;">

            <div id="headerBg" style="width:960px; height:150px; overflow:hidden; margin-bottom:-160px; border:1px solid black;"><?php if($header['headerType']=='image'){ ?><img src="<?php echo $header['headerUrl']; ?>"/><?php } ?></div>

            <div id="title"><h1 id="titleText"><?php echo ($header['titleText']) ?></h1></div>

            <div id="descText"><?php echo ($header['descText']); ?></div>

        </div>      

        <div class="settingsArea">    
		<h4>Edit Header Text</h4>

            <div class="radio">

                <input type="hidden" name="headerUrl" id="headerUrl" onblur="changeBackground()" value="<?php echo ($header['headerUrl']); ?>"/>

                <input type="text" name="siteTitle" id="siteTitle" onblur="changeTitle()" value="<?php echo ($header['titleText']) ?>"/> Title Text<br />

                <input type="text" name="siteDesc" id="siteDesc" onblur="changeDesc()" value="<?php echo ($header['descText']); ?>"/> Description Text / Tagline<br />

       		 </div>
        </div>

        <div class="settingsArea">

                <div class="align" style="float:left; padding:5px; width:240px;">

                <div class="descTitle" style="left:0px;">Font Style</div>

                    <select onchange="changeFont('titleText')" name="titleFont" id="titleFont" class="font">
			<?php if($header['titleFont']){ ?>
				<option value='<?php echo $header['titleFont']; ?>' selected="selected"><?php $titlefnt= explode(',',$header['titleFont']); echo $titlefnt[0]; ?></option>
			<?php }else{ ?>
				<option value='<?php echo $header['titleFont']; ?>' selected="selected">Title Font </option>
			<?php } ?>
                    	<option class="arial" value='Arial, Helvetica, sans-serif'>Arial </option>

                        <option class="verdana" value='Verdana, Geneva, sans-serif'>Verdana </option>

                        <option class="georgia" value='Georgia, "Times New Roman", Times, seri'>Georgia </option>

                        <option class="times" value='"Times New Roman", Times, serif'>Times </option>

                        <option class="tahoma" value='Tahoma, Geneva, sans-serif'>Tahoma </option>

                    </select>

                    <select onchange="changeFont('descText')" name="descFont" id="descFont" class="font">

                   
		    
			<?php if($header['descFont']){ ?>
				<option value='<?php echo $header['descFont']; ?>' selected="selected"><?php $descfnt= explode(',',$header['descFont']); echo $descfnt[0]; ?></option>
			<?php }else{ ?>
				<option value='<?php echo $header['descFont']; ?>' selected="selected">Desc Font </option>
			<?php } ?>

                    	<option class="arial" value='Arial, Helvetica, sans-serif'>Arial </option>

                        <option class="verdana" value='Verdana, Geneva, sans-serif'>Verdana </option>

                        <option class="georgia" value='Georgia, "Times New Roman", Times, serif'>Georgia </option>

                        <option class="times" value='"Times New Roman", Times, serif'>Times </option>

                        <option class="tahoma" value='Tahoma, Geneva, sans-serif'>Tahoma </option>

                    </select>

                </div>

                <div class="align">

                	<div class="descTitle" style="left:-50px;">Text Alignment</div>

                    <div class="center" onclick="changeAlignment('left')">

                        <img src="<?php bloginfo('template_url'); ?>/images/left.png"  

                        onmouseover="this.src='<?php bloginfo('template_url'); ?>/images/leftOv.png'" 

                        onmouseout="this.src='<?php bloginfo('template_url'); ?>/images/left.png'"/>

                    </div>

                    <div class="center" onclick="changeAlignment('center')">

                    	<img src="<?php bloginfo('template_url'); ?>/images/center.png"  

                        onmouseover="this.src='<?php bloginfo('template_url'); ?>/images/centerOv.png'" 

                        onmouseout="this.src='<?php bloginfo('template_url'); ?>/images/center.png'"/>

                    </div>

                    <div class="center" onclick="changeAlignment('right')">

                    	<img src="<?php bloginfo('template_url'); ?>/images/right.png"  

                        onmouseover="this.src='<?php bloginfo('template_url'); ?>/images/rightOv.png'" 

                        onmouseout="this.src='<?php bloginfo('template_url'); ?>/images/right.png'"/>

                    </div>

                </div>

                <div class="align" style="width:340px;">

                	<div class="descTitle" style="text-align: left;">Color Options  - Wait for headers to fully load below.</div>

                    <input  class="color" size="5"  type="text" onblur="changeHColor()" id="hColor"  value="<?php echo $header['hColor']; ?>" name="hColor"  />

                    <input  class="color" size="5"  type="text" onblur="changeDColor()" id="dColor"  value="<?php echo $header['dColor']; ?>" name="dColor"  />

                </div>

                

                <div class="align" style="width:150px;">

                <div class="descTitle" style="left:-35px;">Font Size</div>

                    <div class="center" onclick="changeFontSize('titleUp')">

                        <img src="<?php bloginfo('template_url'); ?>/images/fontUp.png"  

                        onmouseover="this.src='<?php bloginfo('template_url'); ?>/images/fontUpOv.png'" 

                        onmouseout="this.src='<?php bloginfo('template_url'); ?>/images/fontUp.png'"/>

                    </div>

                    <div class="center" onclick="changeFontSize('titleDown')">

                    	<img src="<?php bloginfo('template_url'); ?>/images/fontDown.png"  

                        onmouseover="this.src='<?php bloginfo('template_url'); ?>/images/fontDownOv.png'" 

                        onmouseout="this.src='<?php bloginfo('template_url'); ?>/images/fontDown.png'"/>

                    </div>

                     <div class="center" onclick="changeFontSize('descUp')">

                        <img src="<?php bloginfo('template_url'); ?>/images/fontUp.png"  

                        onmouseover="this.src='<?php bloginfo('template_url'); ?>/images/fontUpOv.png'" 

                        onmouseout="this.src='<?php bloginfo('template_url'); ?>/images/fontUp.png'"/>

                    </div>

                    <div class="center" onclick="changeFontSize('descDown')">

                    	<img src="<?php bloginfo('template_url'); ?>/images/fontDown.png"  

                        onmouseover="this.src='<?php bloginfo('template_url'); ?>/images/fontDownOv.png'" 

                        onmouseout="this.src='<?php bloginfo('template_url'); ?>/images/fontDown.png'"/>

                    </div>

                </div>

        </div>

        <div class="settingsArea" id="socHeaderTypePicker">
			<h4>Select Header Background Type</h4>
			<div class="radio">

            	<input type="radio" name="socHeaderBgType" onclick="socSetHeadBgImage()" value="image" <?php echo $headerImageOn; ?> /> Image    

                <input type="radio" name="socHeaderBgType" onclick="socSetHeadBgColor()" value="color" <?php echo $headerColorOn; ?> /> Color<br />

            </div>
			
        </div>

		<div class="settingsArea" id="socHeaderBgColorPicker">
			<h4 style="margin-bottom:0px;">Select Header Background Color</h4><br>
			<input  class="color" size="5"  type="text" onblur="changeBgColor()" id="bgColor"  value="<?php echo $header['bgColor']; ?>" name="bgColor"  />
		</div>

        <div class="settingsArea" id="socHeaderBgUpload">

			 <div class="uploadForm">

                 <h4>Upload Your own Header Image</h4>

                 <small>Image should be 960px 150px</small>

                 <div>

                    <input name="customHeader" type="file"/><input name="save" value="Upload" type="submit" class="button" />

    

                 </div>

             </div>

        </div>

        


<?php
//Production Header Picker URL
$basepickerurl = "http://banx.socratestheme.com/headers/headerpicker2.php";

$basepickerurl = $basepickerurl."?remoteurl=".get_bloginfo('url');
$uploadbaseurl = get_bloginfo('template_url').'/header-images/uploads/';
$uploadsList = ''; 
$directory =  '../wp-content/themes/socrates/header-images/uploads';

			if ($handle = opendir($directory)) {

			   while (false != ($file = readdir($handle))) {

					if ($file != "." && $file != "..") {

						$uploadsList .= $file.',';

					}  

				}

			  closedir($handle);

			}
if($uploadsList != '') {
     $basepickerurl .= '&baseupload='.$uploadbaseurl.'&images='.$uploadsList;
}
?>

<iframe id="socHeaderBgPicker" class="settingsArea" src ="<?php echo $basepickerurl;?>" width="1000px" height="500px" scrolling="no">
  <p>Your browser does not support iframes.</p>
</iframe><br>
        

            <input type="hidden" id="header-Submit" name="header-Submit" value="1" />        

            <input name="save" value="Save" type="submit" class="button-primary" />

        </form>
        
</div><!-- /.adminMain -->
</div> <!-- /#adminPanelWrap -->

<?php 

}


// ------------------------------------ /HEADER ----------------------------------------------------------

// ------------------------------------  STYLING ----------------------------------------------------------
function socrates_style_setting(){
	$style = get_option("styleOptions");
		
	if ($_POST['style-Submit']) {
		
		$style['themeBodyFont'] = $_POST['themeBodyFont'];
		$style['themeExtraCSS'] = $_POST['themeExtraCSS'];
		$style['bgColor'] = $_POST['style-bgColor'];
		
		$style['topNavColor'] = $_POST['style-topNavColor'];
		$style['topNavHover'] = $_POST['style-topNavHover'];
		
		$style['primaryNavColor'] = $_POST['style-primaryNavColor'];
		$style['primaryNavHover'] = $_POST['style-primaryNavHover'];
		
		$style['footerTextColor'] = $_POST['style-footerTextColor'];
		$style['footerNavColor'] = $_POST['style-footerNavColor'];
		$style['footerNavHover'] = $_POST['style-footerNavHover'];
		
		$style['hColor'] = $_POST['style-hColor'];
		$style['hHover'] = $_POST['style-hHover'];
		
		$style['postColor'] = $_POST['style-postColor'];
		$style['postHover'] = $_POST['style-postHover'];
		$style['fixed']=$_POST['fixed'];
		
		
		
		
		update_option("styleOptions", $style);
		
		echo '<div id="socMsg">Settings have been updated successfully.</div>';
	
	}
	
	$default = '';
	$brown = '';
	$blue = '';
	$rose = '';
	$forest = '';
	$nutral = '';
	
	// set the default color with javascript
	if (empty($style['bgColor'])){ 
		$default = 'CHECKED'; 
		$loadDefault = 'setTheme(\'grey\');';
	} else {
		
		if ($style['bgColor'] == 'F4F4F4') { $default = 'CHECKED'; }
		else if ($style['bgColor'] == '5F463F') { $brown = 'CHECKED'; }
		else if ($style['bgColor'] == 'EBF2FF') { $blue = 'CHECKED'; }
		else if ($style['bgColor'] == 'E0C0B6') { $rose = 'CHECKED'; }
		else if ($style['bgColor'] == 'CBCF9D') { $forest = 'CHECKED'; }
		else if ($style['bgColor'] == 'ede5d4') { $nutral = 'CHECKED'; }
	}
	
	
	
	if ($style['repeat'] == 'repeat-x'){ $repeatX= 'CHECKED'; }
	if ($style['repeat'] == 'repeat-y'){ $repeatY= 'CHECKED'; }
	if ($style['repeat'] == 'no-repeat'){ $repeatN= 'CHECKED'; }
	if ($style['repeat'] == 'repeat'){ $repeatA= 'CHECKED'; }
	if ($style['fixed'] == 'fixed'){ $fixed= 'fixed'; }
	
	
	?>
    	 <script type="text/javascript" src="<?php bloginfo('template_url'); ?>/scripts/jscolor/jscolor.js"></script>
		 <script type="text/javascript">
		    /* <![CDATA[ */
			function clearText(thefield){ if (thefield.defaultValue==thefield.value); thefield.value = ""; }

			function drawcolors(athing) {
				var val = String(document.getElementsByName(athing)[0].name).substring(0,String(document.getElementsByName(athing)[0].name).length - 1);
				var red = document.getElementsByName(val + "R")[0].value;
				var green = document.getElementsByName(val + "G")[0].value;
				var blue = document.getElementsByName(val + "B")[0].value;
				
				document.getElementById("hColorExample").innerHTML="<div style=\"position:absolute; top:40px; left:400px;\">Color Example: </div> <div style=\"position:absolute; background-color:rgb(" + red + "," + green + "," + blue + "); height:100px; width: 100px; top:60px; left:400px; border: 1px solid black;\"></div>";
			}
			
			function setTheme(value){
					//alert(value);
					if (value == 'brown'){
						document.getElementById('style-bgColor').value="5F463F"; document.getElementById('style-bgColor').style.backgroundColor="#5F463F"; 
						
						document.getElementById('style-topNavColor').value="D9B98C"; document.getElementById('style-topNavColor').style.backgroundColor="#D9B98C"
						document.getElementById('style-topNavHover').value="FCD49D"; document.getElementById('style-topNavHover').style.backgroundColor="#FCD49D"
						
						document.getElementById('style-primaryNavColor').value="282323"; document.getElementById('style-primaryNavColor').style.backgroundColor="#282323"
						document.getElementById('style-primaryNavHover').value="5F463F"; document.getElementById('style-primaryNavHover').style.backgroundColor="#5F463F"
						
						document.getElementById('style-footerTextColor').value="A8987D"; document.getElementById('style-footerTextColor').style.backgroundColor="#A8987D"
						document.getElementById('style-footerNavColor').value="D9B98C"; document.getElementById('style-footerNavColor').style.backgroundColor="#D9B98C"
						document.getElementById('style-footerNavHover').value="FCD49D"; document.getElementById('style-footerNavHover').style.backgroundColor="#FCD49D"
						
						document.getElementById('style-hColor').value="5F463F"; document.getElementById('style-hColor').style.backgroundColor="#5F463F"
						document.getElementById('style-hHover').value="282323"; document.getElementById('style-hHover').style.backgroundColor="#282323"
						
						document.getElementById('style-postColor').value="5F463F"; document.getElementById('style-postColor').style.backgroundColor="#5F463F"
						document.getElementById('style-postHover').value="A8987D"; document.getElementById('style-postHover').style.backgroundColor="#A8987D"

						document.getElementById('style-bgColor').style.color="#FFF"
						document.getElementById('style-topNavColor').style.color="#000";
						document.getElementById('style-topNavHover').style.color="#000";
						document.getElementById('style-primaryNavColor').style.color="#FFF";
						document.getElementById('style-primaryNavHover').style.color="#FFF";
						document.getElementById('style-footerTextColor').style.color="#000";
						document.getElementById('style-footerNavColor').style.color="#000";
						document.getElementById('style-footerNavHover').style.color="#000";
						document.getElementById('style-hColor').style.color="#FFF";
						document.getElementById('style-hHover').style.color="#FFF";
						document.getElementById('style-postColor').style.color="#FFF";
						document.getElementById('style-postHover').style.color="#000";

					} else 
					if (value == 'blue') {
						document.getElementById('style-bgColor').value="EBF2FF"; document.getElementById('style-bgColor').style.backgroundColor="#EBF2FF"
						
						document.getElementById('style-topNavColor').value="183152"; document.getElementById('style-topNavColor').style.backgroundColor="#183152"
						document.getElementById('style-topNavHover').value="375D81"; document.getElementById('style-topNavHover').style.backgroundColor="#375D81"
						
						document.getElementById('style-primaryNavColor').value="183152"; document.getElementById('style-primaryNavColor').style.backgroundColor="#183152"
						document.getElementById('style-primaryNavHover').value="375D81"; document.getElementById('style-primaryNavHover').style.backgroundColor="#375D81"
						
						document.getElementById('style-footerTextColor').value="68889E"; document.getElementById('style-footerTextColor').style.backgroundColor="#68889E"
						document.getElementById('style-footerNavColor').value="375D81"; document.getElementById('style-footerNavColor').style.backgroundColor="#375D81"
						document.getElementById('style-footerNavHover').value="68889E"; document.getElementById('style-footerNavHover').style.backgroundColor="#68889E"
						
						document.getElementById('style-hColor').value="183152"; document.getElementById('style-hColor').style.backgroundColor="#183152"
						document.getElementById('style-hHover').value="375D81"; document.getElementById('style-hHover').style.backgroundColor="#375D81"
						
						document.getElementById('style-postColor').value="375D81"; document.getElementById('style-postColor').style.backgroundColor="#375D81"
						document.getElementById('style-postHover').value="183152"; document.getElementById('style-postHover').style.backgroundColor="#183152"
						
						document.getElementById('style-bgColor').style.color="#000"
						document.getElementById('style-topNavColor').style.color="#fff";
						document.getElementById('style-topNavHover').style.color="#fff";
						document.getElementById('style-primaryNavColor').style.color="#FFF";
						document.getElementById('style-primaryNavHover').style.color="#FFF";
						document.getElementById('style-footerTextColor').style.color="#fff";
						document.getElementById('style-footerNavColor').style.color="#fff";
						document.getElementById('style-footerNavHover').style.color="#fff";
						document.getElementById('style-hColor').style.color="#FFF";
						document.getElementById('style-hHover').style.color="#FFF";
						document.getElementById('style-postColor').style.color="#FFF";
						document.getElementById('style-postHover').style.color="#fff";
						
					}  else 
					if (value == 'rose') {
						document.getElementById('style-bgColor').value="E0C0B6"; document.getElementById('style-bgColor').style.backgroundColor="#E0C0B6"
						
						document.getElementById('style-topNavColor').value="2B0804"; document.getElementById('style-topNavColor').style.backgroundColor="#2B0804"
						document.getElementById('style-topNavHover').value="6B2A31"; document.getElementById('style-topNavHover').style.backgroundColor="#6B2A31"
						
						document.getElementById('style-primaryNavColor').value="591929"; document.getElementById('style-primaryNavColor').style.backgroundColor="#591929"
						document.getElementById('style-primaryNavHover').value="2B0804"; document.getElementById('style-primaryNavHover').style.backgroundColor="#2B0804"
						
						document.getElementById('style-footerTextColor').value="995D5F"; document.getElementById('style-footerTextColor').style.backgroundColor="#995D5F"
						document.getElementById('style-footerNavColor').value="6B2A31"; document.getElementById('style-footerNavColor').style.backgroundColor="#6B2A31"
						document.getElementById('style-footerNavHover').value="995D5F"; document.getElementById('style-footerNavHover').style.backgroundColor="#995D5F"
						
						document.getElementById('style-hColor').value="6B2A31"; document.getElementById('style-hColor').style.backgroundColor="#6B2A31"
						document.getElementById('style-hHover').value="995D5F"; document.getElementById('style-hHover').style.backgroundColor="#995D5F"
						
						document.getElementById('style-postColor').value="6B2A31"; document.getElementById('style-postColor').style.backgroundColor="#6B2A31"
						document.getElementById('style-postHover').value="2B0804"; document.getElementById('style-postHover').style.backgroundColor="#2B0804"
						
						document.getElementById('style-bgColor').style.color="#000"
						document.getElementById('style-topNavColor').style.color="#fff";
						document.getElementById('style-topNavHover').style.color="#fff";
						document.getElementById('style-primaryNavColor').style.color="#FFF";
						document.getElementById('style-primaryNavHover').style.color="#FFF";
						document.getElementById('style-footerTextColor').style.color="#fff";
						document.getElementById('style-footerNavColor').style.color="#fff";
						document.getElementById('style-footerNavHover').style.color="#fff";
						document.getElementById('style-hColor').style.color="#FFF";
						document.getElementById('style-hHover').style.color="#FFF";
						document.getElementById('style-postColor').style.color="#FFF";
						document.getElementById('style-postHover').style.color="#fff";
						
					} else 
					if (value == 'forest') {
						document.getElementById('style-bgColor').value="CBCF9D"; document.getElementById('style-bgColor').style.backgroundColor="#CBCF9D"
						
						document.getElementById('style-topNavColor').value="324023"; document.getElementById('style-topNavColor').style.backgroundColor="#324023"
						document.getElementById('style-topNavHover').value="222601"; document.getElementById('style-topNavHover').style.backgroundColor="#222601"
						
						document.getElementById('style-primaryNavColor').value="66732E"; document.getElementById('style-primaryNavColor').style.backgroundColor="#66732E"
						document.getElementById('style-primaryNavHover').value="222601"; document.getElementById('style-primaryNavHover').style.backgroundColor="#222601"
						
						document.getElementById('style-footerTextColor').value="66732E"; document.getElementById('style-footerTextColor').style.backgroundColor="#66732E"
						document.getElementById('style-footerNavColor').value="324023"; document.getElementById('style-footerNavColor').style.backgroundColor="#324023"
						document.getElementById('style-footerNavHover').value="66732E"; document.getElementById('style-footerNavHover').style.backgroundColor="#66732E"
						
						document.getElementById('style-hColor').value="66732E"; document.getElementById('style-hColor').style.backgroundColor="#66732E"
						document.getElementById('style-hHover').value="324023"; document.getElementById('style-hHover').style.backgroundColor="#324023"
						
						document.getElementById('style-postColor').value="324023"; document.getElementById('style-postColor').style.backgroundColor="#324023"
						document.getElementById('style-postHover').value="222601"; document.getElementById('style-postHover').style.backgroundColor="#222601"
						
						document.getElementById('style-bgColor').style.color="#000"
						document.getElementById('style-topNavColor').style.color="#fff";
						document.getElementById('style-topNavHover').style.color="#fff";
						document.getElementById('style-primaryNavColor').style.color="#FFF";
						document.getElementById('style-primaryNavHover').style.color="#FFF";
						document.getElementById('style-footerTextColor').style.color="#fff";
						document.getElementById('style-footerNavColor').style.color="#fff";
						document.getElementById('style-footerNavHover').style.color="#fff";
						document.getElementById('style-hColor').style.color="#FFF";
						document.getElementById('style-hHover').style.color="#FFF";
						document.getElementById('style-postColor').style.color="#FFF";
						document.getElementById('style-postHover').style.color="#fff";
					} else 
					if (value == 'nutral') {
						document.getElementById('style-bgColor').value="ede5d4"; document.getElementById('style-bgColor').style.backgroundColor="#ede5d4"
						
						document.getElementById('style-topNavColor').value="504A43"; document.getElementById('style-topNavColor').style.backgroundColor="#504A43"
						document.getElementById('style-topNavHover').value="231717"; document.getElementById('style-topNavHover').style.backgroundColor="#231717"
						
						document.getElementById('style-primaryNavColor').value="231717"; document.getElementById('style-primaryNavColor').style.backgroundColor="#231717"
						document.getElementById('style-primaryNavHover').value="231717"; document.getElementById('style-primaryNavHover').style.backgroundColor="#231717"
						
						document.getElementById('style-footerTextColor').value="877D71"; document.getElementById('style-footerTextColor').style.backgroundColor="#877D71"
						document.getElementById('style-footerNavColor').value="504A43"; document.getElementById('style-footerNavColor').style.backgroundColor="#504A43"
						document.getElementById('style-footerNavHover').value="877D71"; document.getElementById('style-footerNavHover').style.backgroundColor="#877D71"
						
						document.getElementById('style-hColor').value="504A43"; document.getElementById('style-hColor').style.backgroundColor="#504A43"
						document.getElementById('style-hHover').value="696158"; document.getElementById('style-hHover').style.backgroundColor="#696158"
						
						document.getElementById('style-postColor').value="67625c"; document.getElementById('style-postColor').style.backgroundColor="#67625c"
						document.getElementById('style-postHover').value="504A43"; document.getElementById('style-postHover').style.backgroundColor="#504A43"
						
						document.getElementById('style-bgColor').style.color="#000"
						document.getElementById('style-topNavColor').style.color="#fff";
						document.getElementById('style-topNavHover').style.color="#fff";
						document.getElementById('style-primaryNavColor').style.color="#FFF";
						document.getElementById('style-primaryNavHover').style.color="#FFF";
						document.getElementById('style-footerTextColor').style.color="#fff";
						document.getElementById('style-footerNavColor').style.color="#fff";
						document.getElementById('style-footerNavHover').style.color="#fff";
						document.getElementById('style-hColor').style.color="#FFF";
						document.getElementById('style-hHover').style.color="#FFF";
						document.getElementById('style-postColor').style.color="#FFF";
						document.getElementById('style-postHover').style.color="#fff";
					}  else 
					if (value == 'grey') {
						document.getElementById('style-bgColor').value="F4F4F4"; document.getElementById('style-bgColor').style.backgroundColor="#F4F4F4"
						
						document.getElementById('style-topNavColor').value="000000"; document.getElementById('style-topNavColor').style.backgroundColor="#000000"
						document.getElementById('style-topNavHover').value="D45D2A"; document.getElementById('style-topNavHover').style.backgroundColor="#D45D2A"
						
						document.getElementById('style-primaryNavColor').value="000000"; document.getElementById('style-primaryNavColor').style.backgroundColor="#000000"
						document.getElementById('style-primaryNavHover').value="D45D2A"; document.getElementById('style-primaryNavHover').style.backgroundColor="#D45D2A"
						
						document.getElementById('style-footerTextColor').value="333333"; document.getElementById('style-footerTextColor').style.backgroundColor="#333333"
						document.getElementById('style-footerNavColor').value="336699"; document.getElementById('style-footerNavColor').style.backgroundColor="#336699"
						document.getElementById('style-footerNavHover').value="D45D2A"; document.getElementById('style-footerNavHover').style.backgroundColor="#D45D2A"
						
						document.getElementById('style-hColor').value="000000"; document.getElementById('style-hColor').style.backgroundColor="#000000"
						document.getElementById('style-hHover').value="333333"; document.getElementById('style-hHover').style.backgroundColor="#333333"
						
						document.getElementById('style-postColor').value="336699"; document.getElementById('style-postColor').style.backgroundColor="#336699"
						document.getElementById('style-postHover').value="D45D2A"; document.getElementById('style-postHover').style.backgroundColor="#D45D2A"
						
						document.getElementById('style-bgColor').style.color="#000"
						document.getElementById('style-topNavColor').style.color="#fff";
						document.getElementById('style-topNavHover').style.color="#fff";
						document.getElementById('style-primaryNavColor').style.color="#FFF";
						document.getElementById('style-primaryNavHover').style.color="#FFF";
						document.getElementById('style-footerTextColor').style.color="#fff";
						document.getElementById('style-footerNavColor').style.color="#fff";
						document.getElementById('style-footerNavHover').style.color="#fff";
						document.getElementById('style-hColor').style.color="#FFF";
						document.getElementById('style-hHover').style.color="#FFF";
						document.getElementById('style-postColor').style.color="#FFF";
						document.getElementById('style-postHover').style.color="#fff";
					}
				}
			
			
			/* ]]> */
         </script>
    
<?php socrates_display_settings_navigation(); ?>
        
        <div class="settingsArea">

        <form name="socrates" method="post" enctype="multipart/form-data" action="<?php echo $_SERVER['REQUEST_URI']; ?>"/>
        	<input type="hidden" id="style-bg" name="style-bg" value="<?php echo $style['bg'] ?>"/>
            <input type="hidden" id="style-repeat" name="style-repeat" value="<?php echo $style['repeat'] ?>"/>

        	<h4>Preset Color Schemes</h4>
            <div>
            <div class="radio" style="float:left; width:150px;">
            	<input type="radio" name="presetTheme" onclick="setTheme('grey')" value="grey" <?php echo $default; ?> /> Default <br />
                <input type="radio" name="presetTheme" onclick="setTheme('brown')" value="brown" <?php echo $brown; ?> /> Earth<br />
                <input type="radio" name="presetTheme" onclick="setTheme('blue')" value="blue"  <?php echo $blue; ?>/> Blue <br />
                
            </div>
            <div class="radio" style="float:left">   
                <input type="radio" name="presetTheme" onclick="setTheme('forest')" value="forest" <?php echo $forest; ?>/> Forest <br />
                <input type="radio" name="presetTheme" onclick="setTheme('nutral')" value="nutral" <?php echo $nutral; ?>/> Neutral <br />
                <input type="radio" name="presetTheme" onclick="setTheme('rose')" value="rose" <?php echo $rose; ?>/> Rose <br />
                
            </div>
            </div>
            
            <br clear="all" />
       		
		</div>
       
        
            
        <div class="settingsArea">    
            <h4>Build your own color scheme</h4>
            <input  class="color" type="text" id="style-bgColor"  value="<?php echo $style['bgColor']; ?>" name="style-bgColor"  /> Background Color<br />
             
            <br />
             
            <input  class="color" type="text" id="style-topNavColor"  value="<?php echo $style['topNavColor']; ?>" name="style-topNavColor"  /> Top Nav Link Color <br />
            <input  class="color" type="text" id="style-topNavHover"  value="<?php echo $style['topNavHover']; ?>" name="style-topNavHover"  /> Top Nav Link Hover<br />
             
             <br /> 
             
            <input  class="color" type="text" id="style-primaryNavColor"  value="<?php echo $style['primaryNavColor']; ?>" name="style-primaryNavColor"  /> Primary Nav Link Color <br />
            <input  class="color" type="text" id="style-primaryNavHover"  value="<?php echo $style['primaryNavHover']; ?>" name="style-primaryNavHover"  /> Primary Nav Link Hover<br />
            
            <br /> 
            
            <input  class="color" type="text" id="style-footerTextColor"  value="<?php echo $style['footerTextColor']; ?>" name="style-footerTextColor"  /> Footer Text Link Color <br />
            <input  class="color" type="text" id="style-footerNavColor"  value="<?php echo $style['footerNavColor']; ?>" name="style-footerNavColor"  /> Footer Nav Link Color <br />
            <input  class="color" type="text" id="style-footerNavHover"  value="<?php echo $style['footerNavHover']; ?>" name="style-footerNavHover"  /> Footer Nav Link Hover<br />
            
            <br />

            
            <input  class="color" type="text" id="style-hColor"  value="<?php echo $style['hColor']; ?>" name="style-hColor"  /> Post Title Color <br />
            <input  class="color" type="text" id="style-hHover"  value="<?php echo $style['hHover']; ?>" name="style-hHover"  /> Post Title Hover<br />
            
            <input  class="color" type="text" id="style-postColor"  value="<?php echo $style['postColor']; ?>" name="style-postColor"  /> Post Link Color <br />
            <input  class="color" type="text" id="style-postHover"  value="<?php echo $style['postHover']; ?>" name="style-postHover"  /> Post Link Hover<br />
          
            <input type="hidden" id="style-Submit" name="style-Submit" value="1" />        
            <input name="save" value="Save" type="submit" class="button-primary" />
       
        </div>
        
        <div class="settingsArea">

       

        	<h4>Custom CSS</h4>
            <div>
				<label for="themeBodyFont">Body Font Family</label>
				<input type="text" name="themeBodyFont" id="themeBodyFont" value="<?php echo stripslashes($style['themeBodyFont']); ?>" /><br />
				<em>Default: <code>'lucida grande', Verdana, Sans-Serif</code></em><br /><br />
            </div>
            <div>
				<label for="themeBodyFont">Any Additional CSS</label><br />
				<em>You can place any custom CSS styles that you wish into this box. It will be added to the theme style after all of the normal
				CSS. With custom CSS you can overwrite virtually all of the Socrates styles.</em><br />
				<textarea name="themeExtraCSS" id="themeExtraCSS" cols="60" rows="10"><?php echo stripslashes($style['themeExtraCSS']); ?></textarea>
            </div>
			<div>
				<p>We will no longer support customizing the Socrates theme files directly.</p>
				<p>If you wish to customize this theme beyond the options provided here, then you first need to read about <a href="http://codex.wordpress.org/Child_Themes">Child Themes</a>
				and then set up a child theme that extends Socrates in order to make your customizations. This will ensure that future updates of
				Socrates won't overwrite any of your customizations.</p>
				<p>For your enjoyment, you can download and install the official
				<a href="http://socratestheme.s3.amazonaws.com/socratessamplechild.zip">Socrates Sample Child Theme</a>.
				Just download it, and add it as you would normally add a theme to Wordpress.</p>
			</div>
            
            <br clear="all" />
            <input type="hidden" id="style-Submit" name="style-Submit" value="1" />        
            <input name="save" value="Save" type="submit" class="button-primary" />
       		
		</div>
        
	</div><!-- /.adminMain -->
	</div> <!-- /#adminPanelWrap -->
    		<?php if (!empty($loadDefault)){ 
			echo '<script type="text/javascript">';
			echo "\n/* Loading default theme */\n";
			echo $loadDefault; 
			echo "\n</script>\n";
	} ?>
	
	<?php 
	//onfocus="clearText(this);"
} 
// ------------------------------------ /STYLING ----------------------------------------------------------


// ------------------------------------   LAYOUT  -------------------------------------------------------
//Function to generate meta tags, added by jc 
function socrates_get_meta() {
       $metaSettings = get_option("metaSettings");
       if($metaSettings['sitetitle'] != '') {
             echo '<meta name="Title" content="'.$metaSettings['sitetitle'].'" />';
       }
       if($metaSettings['sitedescription'] != '') {
             echo '<meta name="Description" content="'.$metaSettings['sitedescription'].'" />';
       }
       if($metaSettings['sitekeywords'] != '') {
             echo '<meta name="Keywords" content="'.$metaSettings['sitekeywords'].'" />';
       }
}

function socrates_layout_setting(){ 
	$layout = get_option("layoutOptions");
	//save the users input to the array
	if ($_POST['socrates-Submit']) {
		$topAd = get_option("socratesOptions");
		$topAd['ads'] = $_POST['socrates-ads'];
		$topAd['ads2'] = $_POST['socrates-ads2'];
		$topAd['ads3'] = $_POST['socrates-ads3'];
		$topAd['rotation-delay'] = $_POST['socrates-rotation-delay'];
		$topAd['display'] = $_POST['topOnOff'];

		$smallAd['twitter'] = $_POST['twitter'];
		$smallAd['rss']	= $_POST['rss'];
		$smallAd['facebook'] = $_POST['facebook'];
		//jc 5/11/2010
		$smallAd['linkedin'] = $_POST['linkedin'];
		$smallAd['youtube'] = $_POST['youtube'];
		$smallAd['socialmedianewwindow'] = $_POST['socialmedianewwindow'];
		//end jc
		$smallAd['IM2'] = $_POST['IM2'];
		$smallAd['html1'] = $_POST['html1'];
		$smallAd['html2'] = $_POST['html2'];
		$smallAd['clickbank1'] = $_POST['clickbank1'];
		$smallAd['clickbank2'] = $_POST['clickbank2'];
		

		$topAd['inpostad1'] = $_POST['socrates-inpostad1'];
		$topAd['inpostad2'] = $_POST['socrates-inpostad2'];

		$topAd['inpostposition'] = $_POST['inpostadposition'];
		$topAd['authon'] = $_POST['showauth'];
		$topAd['authonpage'] = $_POST['showauthpage'];
		$topAd['useh1post'] = $_POST['useh1post'];
		$topAd['useh1page'] = $_POST['useh1page'];
		$topAd['disableFeatImg'] = $_POST['disableFeatImg'];
		$topAd['disablecatthumb'] = $_POST['disablecatthumb'];
		
		
		
		$topAd['inpostadmaxrepeat'] = $_POST['inpostadmaxrepeat'];
		$topAd['inpostad2maxrepeat'] = $_POST['inpostad2maxrepeat'];

		update_option("socratesOptions", $topAd);
		update_option("smallAdOptions", $smallAd);
	} elseif ($_POST['search-Submit']) {
		$topAd = get_option("socratesOptions");
		$topAd['displaySearch']	= (isset($_POST['displaySearch']) && $_POST['displaySearch'] == 'on')?true:false;
		$topAd['customSearchBox']	= $_POST['customSearchBox'];
		update_option("socratesOptions", $topAd);
	} elseif ($_POST['analytic-Submit']) {
		$analytic['click'] = $_POST['click'];
		$analytic['analytics'] = $_POST['analytics'];

		update_option("analyticOptions", $analytic);
	} elseif ($_POST['layout-Submit']) {
		$layout['sidebar']	= $_POST['sidebar'];

		update_option("layoutOptions", $layout);
	} elseif ($_POST['meta-Submit']) {
		$metaSettings['sitetitle']	= $_POST['sitetitle'];
		$metaSettings['sitedescription']	= $_POST['sitedescription'];
		$metaSettings['sitekeywords']	= $_POST['sitekeywords'];

		update_option("metaSettings", $metaSettings);
	}

	echo '<div id="socMsg">Settings have been updated successfully.</div>';

	$styleRightSide300 = '';
	$styleLeftSide300 = '';
	$styleLeftSide150 = '';

	if(!$layout['sidebar']){ $layout['sidebar'] = 'styleRightSide300.css'; $styleRightSide300 = 'CHECKED';}
	elseif ($layout['sidebar'] == 'styleRightSide300.css') { $styleRightSide300 = 'CHECKED';}
	elseif ($layout['sidebar'] == 'styleLeftSide300.css') { $styleLeftSide300 = 'CHECKED';}
	elseif ($layout['sidebar'] == 'styleLeftSide150.css') { $styleLeftSide150 = 'CHECKED';}
	elseif ($layout['sidebar'] == 'styleRightSide150.css') { $styleRightSide150 = 'CHECKED';}
	elseif ($layout['sidebar'] == 'styleBothSides.css') { $styleBothSides = 'CHECKED';}
	elseif ($layout['sidebar'] == 'styleDoubleRight.css') { $styleDoubleRight = 'CHECKED';}
	elseif ($layout['sidebar'] == 'styleNoSides.css') { $styleNoSides = 'CHECKED';}

	$topAd = get_option("socratesOptions");
	$smallAd = get_option("smallAdOptions");
	$analytic = get_option("analyticOptions");
        $metaSettings = get_option("metaSettings");

	// set default html and checked button
	if (!is_array( $topAd )){
		$topAd = array( 'ads' => '728x90 HTML Advertising Code');
		$topOn = 'CHECKED'; $topOff = ' ';
		$display = "block";
	} elseif ($topAd['display'] == 'off'){
		$topOn = ''; $topOff = 'CHECKED';
		$display = "none";
	} else {
		$topOn = 'CHECKED'; $topOff = ' '; 
		$display = "block";
	}

    if($topAd['inpostposition']=='left') { $leftOn = 'checked="checked"'; $rightOn = '';
		$topPositionOn = '';
		} else if ($topAd['inpostposition']=='right') {
		$leftOn = '';
		$rightOn = 'checked="checked"';
		$topPositionOn = '';
		} else if ($topAd['inpostposition']=='top') {
		$leftOn = '';
		$rightOn = '';
		$topPositionOn = 'checked="checked"';
		} else { //default to right if not set
		$leftOn = '';
		$rightOn = 'checked="checked"';
		$topPositionOn = '';
		$topAd['inpostposition'] = 'right';
		}
        

		if(!$topAd['inpostadmaxrepeat']) {
			$topAd['inpostadmaxrepeat'] = 2;
		}
		if(!$topAd['inpostad2maxrepeat']) {
			$topAd['inpostad2maxrepeat'] = 2;
		}

	// set check boxes for small ad
	// if ($smallAd['rss'] == '')	{ $smallAd['rss'] = get_bloginfo('rss2_url'); }
?>

<style type="text/css"/>
	.layout			{text-align:center; float:left; padding:10px;}
</style>

<?php socrates_display_settings_navigation(); ?>


<div class="settingsArea">
	
	<h2>General Settings </h2><p>Please make sure you hit the save button as you edit each section.  This will ensure that all the options are configured properly.</p><br />
	<h4>Choose Site Layout</h4>
		<form name="layout" method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>">
 			<div class="layout" >
			<input type="radio" name="sidebar"  value="styleRightSide300.css"  <?php echo $styleRightSide300; ?> /> 300px Sidebar Right<br />
			<img src="<?php bloginfo('template_url'); ?>/images/right300.png" width="130" height="140" />
			</div>

			<div class="layout">
			<input type="radio" name="sidebar"  value="styleLeftSide300.css" <?php echo $styleLeftSide300; ?> /> 300px Sidebar Left<br />
			<img src="<?php bloginfo('template_url'); ?>/images/left300.png" width="130" height="140" />
			</div>

			<div class="layout">
			<input type="radio" name="sidebar"  value="styleLeftSide150.css" <?php echo $styleLeftSide150; ?> /> 150px Sidebar Left<br />
			<img src="<?php bloginfo('template_url'); ?>/images/left150.png" width="130" height="140" />
			</div>

			<div class="layout">
			<input type="radio" name="sidebar"  value="styleRightSide150.css" <?php echo $styleRightSide150; ?> /> 150px Sidebar Right<br />
			<img src="<?php bloginfo('template_url'); ?>/images/right150.png" width="130" height="140" />
			</div>

			<div class="layout">
			<input type="radio" name="sidebar"  value="styleBothSides.css" <?php echo $styleBothSides; ?> /> Both Sidebars<br />
			<img src="<?php bloginfo('template_url'); ?>/images/BothSidebars.png" width="130" height="140" />
			</div>

			<div class="layout">
			<input type="radio" name="sidebar"  value="styleDoubleRight.css" <?php echo $styleDoubleRight; ?> /> Double Right Sidebars<br />
			<img src="<?php bloginfo('template_url'); ?>/images/rightDouble.png" width="130" height="140" />
			</div>

			<div class="layout">
			<input type="radio" name="sidebar"  value="styleNoSides.css" <?php echo $styleNoSides; ?> /> No Sidebars<br />
			<img src="<?php bloginfo('template_url'); ?>/images/noSidebars.png" width="130" height="140" />
			</div>
            <div class="clear-fix"></div>
    <input type="hidden" id="layout-Submit" name="layout-Submit" value="1" />
	<input name="save" value="Save" type="submit" class="button-primary" />
	</form>
</div>

<br clear="all" /><br />

<script type="text/javascript">
	/* <![CDATA[ */
	function radioClicked(value){
		//alert(value);
		if (value == 'off'){
			document.getElementById('topAdHTML').style.display="none";
		} else {
			document.getElementById('topAdHTML').style.display="block";
		}
	}
	/* ]]> */
</script>
<div class="settingsArea">
	<form name="socrates" method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>"/>
	<h4>Site Title and Meta Tags</h4>
	<style type="text/css">
                      .socialmedialabel { display: block; width: 125px; float: left;}
                      .socialmediainput { float: left;}
                </style>
		<div style="clear:both;"><label for="sitetitle" class="socialmedialabel">Site Title:</label><input class="socialmediainput" size="40" type="text" name="sitetitle" id="sitetitle" value="<?php echo $metaSettings['sitetitle']; ?>" /></div><br>
                <div style="clear:both;"><small>The title that will appear at the top of the browser and in the meta tag.</small></div><br />
		<div style="clear:both;"><label for="sitedescription" class="socialmedialabel"> Site Description:</label><input class="socialmediainput" id="sitedescription" type="text" size="40" name="sitedescription" value="<?php echo $metaSettings['sitedescription']; ?>" /></div><br>
                <div style="clear:both;"><small>The description that will appear in your meta tag, it will not appear on your site but will be seen by search engines indexing your site.</small></div><br />
		<div style="clear:both;"><label for="sitekeywords" class="socialmedialabel">Site Keywords:</label><input class="socialmediainput" id="sitekeywords" type="text" size="40" name="sitekeywords" value="<?php echo $metaSettings['sitekeywords']; ?>" /></div><br>
                <div style="clear:both;"><small>The keywords that will appear in your meta tag and be seen by search engines indexing your site. Keywords should be separated by commas.</small></div><br />
	<input type="hidden" id="meta-Submit" name="meta-Submit" value="1" />
	<input name="save" value="Save" type="submit" class="button-primary" />
	</form>
</div>
           
<div class="settingsArea">
	<form name="socrates" method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>"/>
	<h4>Affiliate ID and Analytics</h4>
	<p><b>Clickbank Nickname</b></p><p>If you don't have a Clickbank ID, take 2 minutes and get one at <a target="blank" href="http://www.clickbank.com">Clickbank.com</a>.  This will encode our Socrates logo at bottom right of blog with your ID and earn you 50% per sale.</p>
	Your Clickbank ID: <input type="text" size="40" name="click" value="<?php echo $analytic['click']; ?>" />    <br />
	<br/>	    <br/>
	<p><b>Analytics HTML</b> - Use this field to insert Google Analytics or other tracking code into your header. Please enter full code and not just Analytics ID.</p>
	<textarea name="analytics" id="analytics" cols="60" rows="5"><?php echo  stripslashes($analytic['analytics']); ?></textarea><br />
	<input type="hidden" id="analytic-Submit" name="analytic-Submit" value="1" />
	<input name="save" value="Save" type="submit" class="button-primary" />
	</form>
</div>
<div class="settingsArea">  		
		<h4>Search Settings</h4>
		<p>Control how the search box is displayed</p>
<form name="socrates" method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>"/>
    <div class="">
		Display Search Box?
		<input type="checkbox" name="displaySearch" value="on" <?php echo (isset($topAd['displaySearch']) && $topAd['displaySearch'])?'checked="checked"':''; ?> /><br /><br />
	</div>
    <div class="">
		Custom search form (HTML code): <br />
		<textarea name="customSearchBox" cols="80" rows="10"><?php echo stripslashes( $topAd['customSearchBox'] ); ?></textarea><br />
		<em>Enter custom html code here like Google Search code or leave blank to use the default search form.</em><br /><br />
	</div>
	<input type="hidden" id="search-Submit" name="search-Submit" value="1" />
	<input name="save" value="Save" type="submit" class="button-primary" />
</form>
</div>

<div class="settingsArea">  		
		<h4>Post Display Settings</h4>
		<p>Settings to control how individual posts are displayed.</p>
<form name="socrates" method="post" action="<?php echo $_SERVER['REQUEST_URI']; ?>"/>
    <div class="">
		Show author, date and comments link below title on individual post pages.
		<input type="checkbox" name="showauth" value="on" <?php echo (isset($topAd['authon']) && $topAd['authon'] == 'on')?'checked="checked"':''; ?> /><br /><br />
	</div>
    <div class="">
		Use H1 tags instead of H2 tags for title on individual posts
		<input type="checkbox" name="useh1post" value="on" <?php echo (isset($topAd['useh1post']) && $topAd['useh1post'] == 'on')?'checked="checked"':''; ?> /><br /><br />
	</div>
    <div class="">
		Enable Featured Thumbnails On Index Page.
		<input type="checkbox" name="disableFeatImg" value="on" <?php echo (isset($topAd['disableFeatImg']) && $topAd['disableFeatImg'] == 'on')?'checked="checked"':''; ?> /><br /><br />
	</div>
	
	
	<div class="">
		Enable Category Thumbnails
		<input type="checkbox" name="disablecatthumb" value="on" <?php echo (isset($topAd['disablecatthumb']) && $topAd['disablecatthumb'] == 'on')?'checked="checked"':''; ?> /><br /><br />
	</div>
</div>
<div class="settingsArea">  		
		<h4>Page Display Settings</h4>
		<p>Settings to control how all pages are displayed.</p>

    <div class="">
		Show author, date and comments link below title on all pages.
		<input type="checkbox" name="showauthpage" value="on" <?php echo (isset($topAd['authonpage']) && $topAd['authonpage'] == 'on')?'checked="checked"':''; ?> /><br /><br />
	</div>
    <div class="">
		Use H1 tags instead of H2 tags for title on all pages
		<input type="checkbox" name="useh1page" value="on" <?php echo (isset($topAd['useh1page']) && $topAd['useh1page'] == 'on')?'checked="checked"':''; ?> /><br /><br />
	</div>
</div>
<div class="settingsArea">  		
		<h4>In Post Ads</h4>
		<p>Feel free to enter any html or javascript in this area. (AdSense Recommended -336x280 or 300x250)  The ads will appear within the body of your posts.  Leave a box blank to disable the ad.</p>
		In Post Ad (top)<br><textarea name="socrates-inpostad1" id="socrates-inpostad1" cols="60" rows="5"><?php echo  stripslashes($topAd['inpostad1']); ?></textarea><br /><small>This ad will appear at the beginning of the post content with text flowing around it.</small><br>
                <div class="radio">
		What side of the post should the ad appear on?
		<input type="radio" name="inpostadposition" value="left" <?php echo $leftOn; ?> />Left 
		<input type="radio" name="inpostadposition" value="right" <?php echo $rightOn; ?> />Right 
		<input type="radio" name="inpostadposition" value="top" <?php echo $topPositionOn; ?> />Top <br />
	</div>
	Max repeats per page:<input type="text" size="5" name="inpostadmaxrepeat" value="<?php echo $topAd['inpostadmaxrepeat']; ?>" /> <br>
	<small>Controls the maximum number of times this ad will appear on any page. Please enter a number.</small><br>
		<br><br>In post ad (Bottom)<br><textarea name="socrates-inpostad2" id="socrates-inpostad2" cols="60" rows="5"><?php echo  stripslashes($topAd['inpostad2']); ?></textarea><br /><small>This ad will appear at the bottom of your post content on every post. 468x60 or 234x60. You can also use Adsense Link Units, Clickbank hoplinks, optin boxes or other affiliate program code.</small><br>
		Max repeats per page:<input type="text" size="5" name="inpostad2maxrepeat" value="<?php echo $topAd['inpostad2maxrepeat']; ?>" /> <br>
		<small>Controls the maximum number of times this ad will appear on any page. Please enter a number.</small><br>
		<input type="hidden" id="socrates-Submit" name="socrates-Submit" value="1" />
	</div> 
<div class="settingsArea">
	<h4 style="margin-bottom:3px;">Leaderboard Ad and Custom Display Units</h4>
	<p>You can activate a Leaderboard display panel which enables you to enter a 728x90 advertising unit above your posts. 
	There's also a custom 220x90 advertising unit which includes preset images for Twitter, Facebook, RSS, LinkedIn, YouTube Channel and Clickbank products 
	to instantly monetize your new site.</p><br />

	
	<div class="radio">
		Would you like to display the upper ad bar?
		<input type="radio" name="topOnOff" onclick="radioClicked('on')" value="on" <?php echo $topOn; ?> />Yes 
		<input type="radio" name="topOnOff" onclick="radioClicked('off')" value="off" <?php echo $topOff; ?> />No <br /><br />
	</div>
</div>  

<div id="topAdHTML" style="display:<?php echo $display; ?>">
	<div class="settingsArea">  		
		<h4>728x90 Monetization Bar - Rotate up to 3 ads</h4>
		<p>Feel free to enter any html or javascript in this area. If entering Adsense don't rotate Adsense units, just use one</p>
		Ad Block #1<br><textarea name="socrates-ads" id="socrates-ads" cols="60" rows="5"><?php echo  stripslashes($topAd['ads']); ?></textarea><br />
		Ad Block #2<br><textarea name="socrates-ads2" id="socrates-ads2" cols="60" rows="5"><?php echo  stripslashes($topAd['ads2']); ?></textarea><br />
		Ad Block #3<br><textarea name="socrates-ads3" id="socrates-ads3" cols="60" rows="5"><?php echo  stripslashes($topAd['ads3']); ?></textarea><br />
		Rotation Delay (number of seconds that each ad will display)<br><input name="socrates-rotation-delay" id="socrates-rotation-delay" type="text" value="<?php echo  stripslashes($topAd['rotation-delay']); ?>" /><br />
		<input type="hidden" id="socrates-Submit" name="socrates-Submit" value="1" />
	</div>      

	<div class="settingsArea"> 
		<h4>Custom Display Units</h4>
		<p>Please fill in the URL for each item/items you would like to display in the right 220x90 ad placement. 
		If you fill in only one URL the rotation will be disabled.  Anything left blank will not display.  Make sure you "Save" your changes when completed.<br /><br />
		With this feature you can promote Social URL's, our recommended Clickbank products including this theme and add custom html including small
		optin boxes and custom banners.
		</p><br />
                <style type="text/css">
                      .socialmedialabel { display: block; width: 125px; float: left;}
                      .socialmediainput { float: left;}
                </style>
		<strong>Social Networking Link</strong><br />
		Open social media links in a new window: <input type="checkbox" name="socialmedianewwindow" id="socialmedianewwindow" value="socialmedianewwindow" <?php if($smallAd['socialmedianewwindow']) {echo "checked";}?>><br>
		<div style="clear:both;"><label for="twitter" class="socialmedialabel">Twitter URL:</label><input class="socialmediainput" size="40" type="text" name="twitter" id="twitter" value="<?php echo $smallAd['twitter']; ?>" /></div><br>
		<div style="clear:both;"><label for="rss" class="socialmedialabel">RSS Feed URL:</label><input class="socialmediainput" id="rss" type="text" size="40" name="rss" value="<?php echo $smallAd['rss']; ?>" /></div><br>
		<div style="clear:both;"><label for="facebook" class="socialmedialabel">Facebook URL:</label><input class="socialmediainput" id="facebook" type="text" size="40" name="facebook" value="<?php echo $smallAd['facebook']; ?>" /></div><br>
		<div style="clear:both;"><label for="linkedin" class="socialmedialabel">LinkedIn URL:</label><input class="socialmediainput" id="linkedin" type="text" size="40" name="linkedin" value="<?php echo $smallAd['linkedin']; ?>" /></div><br>
		<div style="clear:both;"><label for="youtube" class="socialmedialabel">YouTube URL:</label><input class="socialmediainput" id="youtube" type="text" size="40" name="youtube" value="<?php echo $smallAd['youtube']; ?>" /></div><br>
		<div style="clear:both;"><small>To enable a social link simply add the corresponding url.</small></div><br />
		<br />

		<strong>ClickBank Products</strong><br />
		Your Clickbank ID: <input type="text" name="clickbank1" value="<?php echo $smallAd['clickbank1']; ?>" /> &nbsp; 
		&nbsp; <a href="http://www.socratestheme.com/cb/ad1.php?id=<?php echo $smallAd['clickbank1']; ?>">View Product 1</a><br />

		Your Clickbank ID: <input type="text" name="clickbank2" value="<?php echo $smallAd['clickbank2']; ?>" /> &nbsp; 
		&nbsp; <a href="http://www.socratestheme.com/cb/ad2.php?id=<?php echo $smallAd['clickbank2']; ?>">View Product 2</a><br />
		<small>To enable clickbank products simply add your clickbank account name.</small><br />

		<!-- http://www.socratestheme.com/cb/ad1.php?id=jcomm -->
		<br />

		<p><strong>Custom Products</strong><br />
		First HTML Block<small> <br />
		Please add your HTML in the box below, if left blank it will not be used</small></p>
		<textarea name="html1" cols="60" rows="3"><?php echo  stripslashes($smallAd['html1']); ?></textarea><br />

		<p>Second HTML Block<small> <br />
		Please add your HTML in the box below, if left blank it will not be used</small></p>
		<textarea name="html2" cols="60" rows="3"><?php echo  stripslashes($smallAd['html2']); ?></textarea><br />
	</div>
</div>
<input name="save" value="Save" type="submit" class="button-primary" />
</form>


</div><!-- /.adminMain -->
</div> <!-- /#adminPanelWrap -->

<?php 
}

// ------------------------------------ END Layout -------------------------------------------------------

//codefor settings in admin panel
function socrates_panel_setting() { ?>

<?php socrates_display_settings_navigation(); ?>

<div class="settingsArea">
	<div style="width:680px; height:800px;">
		<iframe style="width:680px; height:800px;" frameBorder="0" src="http://socratestheme.com/dashboard/index3_0.php" scrolling="no">
		This is an in-line frame. You can view the frame and then hit your back arrow to return to the page.
		</iframe>
	</div>
</div>

</div><!-- /.adminMain -->
</div> <!-- /#adminPanelWrap -->
<?php 
}

//Custom Truncate Function
function wv_truncate($text, $length = 100, $ending = '...', $exact = true, $considerHtml = false) {
	if ($considerHtml) {
		// if the plain text is shorter than the maximum length, return the whole text
		if (strlen(preg_replace('/<.*?>/', '', $text)) <= $length) {
			return $text;
		}
		// splits all html-tags to scanable lines
		preg_match_all('/(<.+?>)?([^<>]*)/s', $text, $lines, PREG_SET_ORDER);
		$total_length = strlen($ending);
		$open_tags = array();
		$truncate = '';

		foreach ($lines as $line_matchings) {
			// if there is any html-tag in this line, handle it and add it (uncounted) to the output
			if (!empty($line_matchings[1])) {
				// if it's an "empty element" with or without xhtml-conform closing slash (f.e. <br/>)
				if (preg_match('/^<(\s*.+?\/\s*|\s*(img|br|input|hr|area|base|basefont|col|frame|isindex|link|meta|param)(\s.+?)?)>$/is', $line_matchings[1])) {
					// do nothing
					// if tag is a closing tag (f.e. </b>)
				} else if (preg_match('/^<\s*\/([^\s]+?)\s*>$/s', $line_matchings[1], $tag_matchings)) {
					// delete tag from $open_tags list
					$pos = array_search($tag_matchings[1], $open_tags);
					if ($pos !== false) {
						unset($open_tags[$pos]);
					}
					// if tag is an opening tag (f.e. <b>)
				} else if (preg_match('/^<\s*([^\s>!]+).*?>$/s', $line_matchings[1], $tag_matchings)) {
					// add tag to the beginning of $open_tags list
					array_unshift($open_tags, strtolower($tag_matchings[1]));
				}
				// add html-tag to $truncate'd text
				$truncate .= $line_matchings[1];
			}

			// calculate the length of the plain text part of the line; handle entities as one character
			$content_length = strlen(preg_replace('/&[0-9a-z]{2,8};|&#[0-9]{1,7};|&#x[0-9a-f]{1,6};/i', ' ', $line_matchings[2]));
			if ($total_length+$content_length > $length) {
				// the number of characters which are left
				$left = $length - $total_length;
				$entities_length = 0;
				// search for html entities
				if (preg_match_all('/&[0-9a-z]{2,8};|&#[0-9]{1,7};|&#x[0-9a-f]{1,6};/i', $line_matchings[2], $entities, PREG_OFFSET_CAPTURE)) {
					// calculate the real length of all entities in the legal range
					foreach ($entities[0] as $entity) {
						if ($entity[1]+1-$entities_length <= $left) {
						$left--;
						$entities_length += strlen($entity[0]);
					} else {
						// no more characters left
						break;
					}
				}
			}

			$truncate .= substr($line_matchings[2], 0, $left+$entities_length);
			// maximum lenght is reached, so get off the loop
			break;
		} else {
			$truncate .= $line_matchings[2];
			$total_length += $content_length;
		}

		// if the maximum length is reached, get off the loop
		if($total_length >= $length) {
			break;
		}
	}
	} else {
		if (strlen($text) <= $length) {
			return $text;
		} else {
			$truncate = substr($text, 0, $length - strlen($ending));
		}
	}

        
	// if the words shouldn't be cut in the middle...
	if (!$exact) {
		// ...search the last occurance of a space...
		$spacepos = strrpos($truncate, ' ');
		if (isset($spacepos)) {
			// ...and cut the text in this position
			$truncate = substr($truncate, 0, $spacepos);
		}
	}

	// add the defined ending to the text
	$truncate .= $ending;

	if($considerHtml) {
		// close all unclosed html-tags
		foreach ($open_tags as $tag) {
			$truncate .= '</' . $tag . '>';
		}
	}

	return $truncate;   

}

function socrates_display_settings_navigation(){
	?>

<div id="adminPanelWrap">
<div class="socLogo">
	<img src="<?php bloginfo('template_url'); ?>/images/socratesLogo.png"/>
</div>

<div id="adminMain">

<div class="socrates-settings-nav-links">
	<ul>
		<li><a href="admin.php?page=functions.php">Theme Info</a></li>
		<li><a href="admin.php?page=functions.php?option=layout">Settings</a></li>
		<li><a href="admin.php?page=functions.php?option=style">Styling</a></li>
		<li><a href="admin.php?page=functions.php?option=header">Header</a></li>
		<li><a href="admin.php?page=functions.php?option=bg">Background</a></li>
        
        <!--<li><a href="admin.php?page=functions.php?option=cuscss">Custom CSS</a></li>-->
	</ul>
</div>

<div class="settingsWrap">
<?php } ?>