(function() {
	
	// Load plugin specific language pack
	tinymce.PluginManager.requireLangPack('digishorts_alert');
	
	tinymce.create('tinymce.plugins.digishorts_alert', {		 
		init : function(ed, url) {
			
			// Register the command so that it can be invoked by using tinyMCE.activeEditor.execCommand('mceExample');
			ed.addCommand('mcedigishorts_alert', function() {
				
				ed.windowManager.open({
					
					file : url + '/window.php',
					width : 360 + ed.getLang('digishorts_alerts.delta_width', 0),
					height : 400 + ed.getLang('digishorts_alerts.delta_height', 0),
					inline : 1
					
				}, {
					
					plugin_url : url // Plugin absolute URL
					
				});
			});

			// Register example button
			ed.addButton('digishorts_alert', {
				
				title : 'Notification',
				cmd : 'mcedigishorts_alert',
				image : url + '/alert.png'
				
			});

			// Add a node change handler, selects the button in the UI when a image is selected
			ed.onNodeChange.add(function(ed, cm, n) {
				
				cm.setActive('mcedigishorts_alert', n.nodeName == 'IMG');
				
			});
		}, 
		getInfo : function() {
			
			return {
				
					longname : "Digitonik Shortcodes Framework",
					author : 'Digitonik',
					authorurl : 'http://digitonik.com/',
					infourl : 'http://digitonik.com/',
					version : "1.0"
					
			};
			
		}
		
	});

	// Register plugin
	tinymce.PluginManager.add('digishorts_alert', tinymce.plugins.digishorts_alert);
	
})();