(function() {
	
	// Load plugin specific language pack
	tinymce.PluginManager.requireLangPack('digishorts_buttons');
	
	tinymce.create('tinymce.plugins.digishorts_buttons', {		 
		init : function(ed, url) {
			
			// Register the command so that it can be invoked by using tinyMCE.activeEditor.execCommand('mceExample');
			ed.addCommand('mcedigishorts_buttons', function() {
				
				ed.windowManager.open({
					
					file : url + '/window.php',
					width : 360 + ed.getLang('digishorts_buttons.delta_width', 0),
					height : 380 + ed.getLang('digishorts_buttons.delta_height', 0),
					inline : 1
					
				}, {
					
					plugin_url : url // Plugin absolute URL
					
				});
			});

			// Register example button
			ed.addButton('digishorts_buttons', {
				
				title : 'Add Button',
				cmd : 'mcedigishorts_buttons',
				image : url + '/buttons.png'
				
			});

			// Add a node change handler, selects the button in the UI when a image is selected
			ed.onNodeChange.add(function(ed, cm, n) {
				
				cm.setActive('mcedigishorts_buttons', n.nodeName == 'IMG');
				
			});
		}, 
		getInfo : function() {
			
			return {
				
					longname : "Digitonik Shortcodes Framework",
					author : 'Digitonik',
					authorurl : 'http://digitonik.com/',
					infourl : 'http://digitonik.com/',
					version : "1.0"
					
			};
			
		}
		
	});

	// Register plugin
	tinymce.PluginManager.add('digishorts_buttons', tinymce.plugins.digishorts_buttons);
	
})();